/*-----------------------------------------------------------------------------
 * Enhydra Java Application Server
 * Copyright 1997-2000 Lutris Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes Enhydra software developed by Lutris
 *      Technologies, Inc. and its contributors.
 * 4. Neither the name of Lutris Technologies nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY LUTRIS TECHNOLOGIES AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL LUTRIS TECHNOLOGIES OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *-----------------------------------------------------------------------------
 * $Id: ClassLoaderTests.java,v 1.10 2000/01/26 06:32:09 markd Exp $
 *-----------------------------------------------------------------------------
 */





package com.lutris.classloader.tests;

import com.lutris.classloader.*;
import java.io.File;
import java.io.IOException;
import java.net.URL;
import java.net.MalformedURLException;

public class ClassLoaderTests {
    public static void main(String[] args) {
	// String class path entries
	System.err.println("\nTesting Strings");
	String string = ".";
	    System.err.println("\nTrying: " + string);
	    ClassPathEntry cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("cpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "./";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "./lutris.jar";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "/usr/local/bin";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "/usr/local/bin/";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "/usr/local/lutris.jar";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "file:///pub";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "file:///pub/";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "file://localhost/pub";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "file://localhost/pub/";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "file://localhost:8080/pub";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "file://localhost:8080/pub/";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
// FIXME: should add 127.0.0.1 ?
	string = "http://foo.com/pub";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "http://foo.com/pub/";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "http://foo.com:90/pub";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "http://foo.com:90/pub/";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "http://foo.com/pub/blah.jar";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	string = "http://foo.com:9999/pub/blah.jar";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	// File class path entries
	System.err.println("\nTesting Files");
	File file = new File(".");
	    System.err.println("\nTrying: " + file);
	    cpe = new ClassPathEntry(file, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	file = new File("/usr/local/lutris.jar");
	    System.err.println("\nTrying: " + file);
	    cpe = new ClassPathEntry(file, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	// URL class path entries
	System.err.println("\nTesting URLs");
	try {
	URL url = new URL("file:///pub/");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("file:///pub");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("file:///pub/lutris.jar");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("http://foo.com/pub");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("http://foo.com/pub/");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("http://foo.com:84/pub");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("http://foo.com:84/pub/");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("http://foo.com/pub/blah.jar");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());
	url = new URL("http://foo.com:8484/pub/blah.jar");
	    System.err.println("\nTrying: " + url);
	    cpe = new ClassPathEntry(url, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	    System.err.println("cpe.getName(): " + cpe.getName());
	    System.err.println("cpe.getLocation(): " + cpe.getLocation());
	    System.err.println("cpe.isDirectory(): " + cpe.isDirectory());
	    System.err.println("cpe.isZipFile(): " + cpe.isZipFile());
	    System.err.println("cpe.isRemote(): " + cpe.isRemote());

	// Test resources
	System.err.println("\nTesting Resources");
	string = ".";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	string = "com/lutris/classloader/tests/TestClass.class";
	    System.err.println("\nTrying: " + string);
	    Resource res = cpe.getResource(string);
	    if (res != null) {
	    System.err.println("res.toString(): " + res.toString());
	    System.err.println("res.getName(): " + res.getName());
	    System.err.println("res.getLocation(): " + res.getLocation());
	    System.err.println("res.getSize(): " + res.getSize());
	    System.err.println("res.getTime(): " + res.getTime());
	    System.err.println("res.getInputStream(): " + res.getInputStream());
	    System.err.println("res.getBytes().length: "+res.getBytes().length);
	    } else {
	    System.err.println("\n\"" + string + "\" not found");
	    }

	string = "com/lutris/classloader/tests/bogus.txt";
	    System.err.println("\nTrying: " + string);
	    res = cpe.getResource(string);
	    if (res != null) {
	    System.err.println("res.toString(): " + res.toString());
	    System.err.println("res.getName(): " + res.getName());
	    System.err.println("res.getLocation(): " + res.getLocation());
	    System.err.println("res.getSize(): " + res.getSize());
	    System.err.println("res.getTime(): " + res.getTime());
	    System.err.println("res.getInputStream(): " + res.getInputStream());
	    System.err.println("res.getBytes().length: "+res.getBytes().length);
	    } else {
	    System.err.println("\n\"" + string + "\" not found");
	    }

	string = "com/lutris/classloader/tests/TestClass.jar";
	    System.err.println("\nTrying: " + string);
	    cpe = new ClassPathEntry(string, MultiClassLoaderTests.getLogChannel());
	    System.err.println("\ncpe.toString(): " + cpe.toString());
	string = "com/lutris/classloader/tests/TestClass.class";
	    System.err.println("\nTrying: " + string);
	    res = cpe.getResource(string);
	    if (res != null) {
	    System.err.println("res.toString(): " + res.toString());
	    System.err.println("res.getName(): " + res.getName());
	    System.err.println("res.getLocation(): " + res.getLocation());
	    System.err.println("res.getSize(): " + res.getSize());
	    System.err.println("res.getTime(): " + res.getTime());
	    System.err.println("res.getInputStream(): " + res.getInputStream());
	    System.err.println("res.getBytes().length: "+res.getBytes().length);
	    } else {
	    System.err.println("\n\"" + string + "\" not found");
	    }

	string = "com/lutris/util/bogus.class";
	    System.err.println("\nTrying: " + string);
	    res = cpe.getResource(string);
	    if (res != null) {
	    System.err.println("res.toString(): " + res.toString());
	    System.err.println("res.getName(): " + res.getName());
	    System.err.println("res.getLocation(): " + res.getLocation());
	    System.err.println("res.getSize(): " + res.getSize());
	    System.err.println("res.getTime(): " + res.getTime());
	    System.err.println("res.getInputStream(): " + res.getInputStream());
	    System.err.println("res.getBytes().length: "+res.getBytes().length);
	    } else {
	    System.err.println("\n\"" + string + "\" not found");
	    }
	} catch (MalformedURLException e) {
	    System.err.println("malformed url");
	} catch (IOException e) {
	    System.err.println("ioexception");
	}
    }
}
