package com.lutris.http.tests;
import com.lutris.http.*;
import java.util.*;

/*-----------------------------------------------------------------------------
 * Enhydra Java Application Server
 * Copyright 1997-2000 Lutris Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes Enhydra software developed by Lutris
 *      Technologies, Inc. and its contributors.
 * 4. Neither the name of Lutris Technologies nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY LUTRIS TECHNOLOGIES AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL LUTRIS TECHNOLOGIES OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *-----------------------------------------------------------------------------
 * $Id: CookieManagerTests.java,v 1.7 2000/02/18 07:24:51 shawn Exp $
 *-----------------------------------------------------------------------------
 */




public class CookieManagerTests
{
    /**
     * Where to print test results.
     */
    static java.io.PrintStream out = System.out;

    /**
     * Constructor.
     */
    public CookieManagerTests()
    {
        out = System.out;
    }

    /**
     * Main entry point which executes all the tests.
     *
     * @param args
     *   Command line arguments.
     */
    public static void main(String [] args)
        throws Exception
    {
        CookieManagerTests parserTests = new CookieManagerTests();
        HttpCookieManager manager = new HttpCookieManager();
        String header;
        
        out.println();
        out.println("com.lutris.http.HttpCookieManager");

        //
        header = "firstName=Kyle; lastName=Clark";
        out.println();
        out.println("mergeHeader(\"" + header + "\")");
        manager.mergeHeader(header);

        //
        out.println();
        out.println("getRequestHeader()");
        out.println(manager.getRequestHeader());

        //
        out.println();
        out.println("getResponseHeader()");
        out.println(manager.getResponseHeader());

        //
        header = "firstName=Kyle, lastName=Clark";
        out.println();
        out.println("mergeHeader(\"" + header + "\")");
        manager.mergeHeader(header);

        //
        out.println();
        out.println("getRequestHeader()");
        out.println(manager.getRequestHeader());

        //
        out.println();
        out.println("getResponseHeader()");
        out.println(manager.getResponseHeader());

        //
        header = "brownDog=Pima; path=/lighthouse/field; domain=lutris.com, " +
            "whiteDog=Souyen; secure; domain=sleep.com";
        out.println();
        out.println("mergeHeader(\"" + header + "\")");
        manager.mergeHeader(header);

        //
        out.println();
        out.println("getRequestHeader()");
        out.println(manager.getRequestHeader());

        //
        out.println();
        out.println("getRequestHeader(null, null)");
        out.println(manager.getRequestHeader(null, null));

        //
        out.println();
        out.println("getRequestHeader(\"/lighthouse\", null)");
        out.println(manager.getRequestHeader("/lighthouse", null));

        //
        out.println();
        out.println("getRequestHeader(\"/lighthouse\", \"lutris.com\")");
        out.println(manager.getRequestHeader("/lighthouse", "lutris.com"));

        //
        out.println();
        out.println("getRequestHeader(null, \"lutris.com\")");
        out.println(manager.getRequestHeader(null, "lutris.com"));

        //
        out.println();
        out.println("getRequestHeader(\"/bogus\", \"lutris.com\")");
        out.println(manager.getRequestHeader("/bogus", "lutris.com"));

        //
        out.println();
        out.println("getRequestHeader(\"/lighthouse\", \"bogus.com\")");
        out.println(manager.getRequestHeader("/lighthouse", "bogus.com"));

        //
        out.println();
        out.println("getResponseHeader()");
        out.println(manager.getResponseHeader());

        //
        out.println();
        out.println("clear()");
        manager.clear();

        //
        out.println();
        out.println("getRequestHeader()");
        out.println(manager.getRequestHeader());

        //
        out.println();
        out.println("getResponseHeader()");
        out.println(manager.getResponseHeader());

        out.println();

    }
}
