/*-----------------------------------------------------------------------------
 * Enhydra Java Application Server
 * Copyright 1997-2000 Lutris Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes Enhydra software developed by Lutris
 *      Technologies, Inc. and its contributors.
 * 4. Neither the name of Lutris Technologies nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY LUTRIS TECHNOLOGIES AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL LUTRIS TECHNOLOGIES OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *-----------------------------------------------------------------------------
 * $Id: ConfigFileTest.java,v 1.8 2000/02/18 07:24:57 shawn Exp $
 *-----------------------------------------------------------------------------
 */





package com.lutris.util.tests;

import com.lutris.util.*;

public class ConfigFileTest
{
    public static void main(String args[])
	    throws ParseException, ConfigException, KeywordValueException
    {
	ConfigFile cf = new ConfigFile(System.in);
	String values = "value1, \"This is value 2\"";
	cf.addEntry("adding.a.test.entry", values, "# Test comment");
	cf.addEntry("this.will.be.removed", values, "# Test comment");
	cf.removeEntry("bogus");
	cf.removeEntry("this.will.be.removed");
	Config c = cf.getConfig();
	c.set("config.test.entry", values);
	c.set("remove.this", values);
	c.remove("remove.this");
	int i1 = c.getInt("int.one");
	int[] i2 = c.getInts("int.two");
	double d1 = c.getDouble("double.one");
	double[] d2 = c.getDoubles("double.two");
	String s1 = c.getString("string.one");
	String[] s2 = c.getStrings("string.two");
	System.out.println("# got i1 = " + i1);
	System.out.println("# got i2 = " + i2[0] + ", " + i2[1]);
	System.out.println("# got d1 = " + d1);
	System.out.println("# got d2 = " + d2[0] + ", " + d2[1]);
	System.out.println("# got s1 = " + s1);
	System.out.println("# got s2 = " + s2[0] + ", " + s2[1]);
	cf.write(System.out);
    }
}

