#!/bin/sh
#
# makefileGenerator.sh
#
#
#exit

# set DEBUG to /dev/null or /dev/tty
# DEBUG=/dev/tty
DEBUG=/dev/null

script=$0
scriptDir=`echo $script | sed 's,\(/.*/\).*,\1,'`
[ $script = $scriptDir ] && scriptDir=.

echo scriptDir=$scriptDir >> $DEBUG

run=$1
shift
cleanup=$1
shift
basedir=$1
shift
rootdir=$1
shift
extracp=$1
shift
ENHYDRA_DIR=$1
shift


if [ ! -f $basedir/$rootdir/config.mk ] ; then
echo ========================== Generating config.mk in $rootDir >> $DEBUG
cat << END_CONFIG > $basedir/$rootdir/config.mk
#----------------------------------------------------------------------------- 
# config.mk
#  This is the make configuration for the Lutris DemoApp source tree.
#----------------------------------------------------------------------------- 
# Copyright (C) 1997 Lutris Technologies, Inc.            All Rights Reserved.
#----------------------------------------------------------------------------- 

JDKDIR=/usr/java1.1

#
# The directory contain the Lutris distribution.
#
ENHYDRA_DIR=$extracp
  
include \$(ENHYDRA_DIR)/lib/stdrules.mk

CLASSPATH := $extracp\${PS}\${CLASSPATH}

END_CONFIG
fi

echo '' >> $DEBUG
echo ========================== Generating Makefiles in $basedir >> $DEBUG
cat << END >> $DEBUG
makefileGenerator.sh
    run          = $run
    cleanup      = $cleanup
    basedir      = $basedir
    rootdir      = $rootdir
    extracp      = $extracp
    package dirs=$*
END

[ ! -d $basedir ] && {
	echo "ERROR: $script"": $basedir is not a directory." >> $DEBUG
	exit 1
}

case "$rootdir" in
/*) ;;
c:*) ;;
C:*) ;;
*) rootdir=$rootdir;;
esac
[ ! -d $rootdir/classes ] && {
    mkdir $rootdir/classes
    #echo "ERROR: $script"": $rootdir/classes is not a directory." >> $DEBUG
    #exit 1
}

#echo find $basedir -type d -print >> $DEBUG
find $basedir \( -type d -a \! -name classes \) -print 2>&1 >> $DEBUG

#echo ls -l $scriptDir/createMakefile.sh 2>&1 >> $DEBUG
#ls -l $scriptDir/createMakefile.sh 2>&1 >> $DEBUG


#echo find $basedir -type d -exec $scriptDir/createMakefile.sh {} \; >> $DEBUG
find $basedir \( -type d -a \! -name classes \) -exec $scriptDir/createMakefile.sh $rootdir {} $basedir $extracp \; 2>&1 >> $DEBUG

cd $basedir

[ $run = true ] && {
    echo '' >> $DEBUG
    echo "$script running 'make' in $basedir" >> $DEBUG
#ls -l >> $DEBUG
#which make >> $DEBUG
    #make 2>&1 >> $DEBUG
    echo ""
    echo "Running make..."
    echo ""
    #make 2>&1  # > make.output
    make JCFLAGS=-verbose 2>&1 | egrep -v '(is up to date|java_pass|Leaving dir|Entering dir|Finish |\[loaded|\[checking|\[parsed|\[done)' # > make.output
    #ls -l make.output
    #cat make.output
#echo xxx >> $DEBUG
}

[ "$cleanup" = true ] && {
    echo '' >> $DEBUG
    echo "$script running 'make delete_source' in $basedir" >> $DEBUG
    make delete_source 2>&1 >> $DEBUG
}

echo DODS BUILD COMPLETE >> $DEBUG
