/*-----------------------------------------------------------------------------
 * Enhydra Java Application Server
 * Copyright 1997-2000 Lutris Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes Enhydra software developed by Lutris
 *      Technologies, Inc. and its contributors.
 * 4. Neither the name of Lutris Technologies nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY LUTRIS TECHNOLOGIES AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL LUTRIS TECHNOLOGIES OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *-----------------------------------------------------------------------------
 * $Id: UrlEncodedKeyTests.java,v 1.6 2000/01/29 07:02:12 markd Exp $
 *-----------------------------------------------------------------------------
 */





package com.lutris.appserver.server.httpPresentation.servlet.tests;
import com.lutris.appserver.server.httpPresentation.servlet.UrlEncodedKey;

/**
 * Simple UrlEncodedKey tests.
 *
 * @author	Kyle Clark
 * @version	$Revision: 1.6 $
 * @since       Harmony2.0
 * @see com.lutris.appserver.server.httpPresentation.servlet.UrlEncodedKey
 */
public class UrlEncodedKeyTests.java
{
    /*
     * Performs a simple test on this object.
     */
    public static void main(String []args)
        throws Exception
    {
        String keyName = "LUTRISID_";
        String key = "Test Key";

        System.out.println("\n---");
        System.out.println("keyName: " + keyName);
        System.out.println("Key      : " + key);
        System.out.println("---\n");

        UrlEncodedKey test = new UrlEncodedKey(keyName, key);
        System.out.println("UrlEncodedKey.getKey(): " +
                           test.getKeyValue());
        System.out.println("UrlEncodedKey.getkeyName(): " +
                           test.getKeyName());
        System.out.println("UrlEncodedKey.getUrlEncodedValue(): " +
                           test.getUrlEncodedKey());
        System.out.println("UrlEncodedKey.toString(): " +
                           test.toString());
        System.out.println("---\n");

        String path = "http://ra.lutris.com:80/iiop/HarmonDemoApp/" +
            test.getKeyName() + "xyx";

        System.out.println("PATH: " + path);
        System.out.println("UrlEncodedKey.removeFromPath(): " +
                           test.removeFromPath(path));
        System.out.println("UrlEncodedKey.removeByNameFromPath(): " +
                           test.removeByNameFromPath(path));
        System.out.println("UrlEncodedKey.decode(): " +
                           test.decode(path));
        System.out.println("---\n");

        path = "http://ra.lutris.com:80/iiop/HarmonDemoApp/" +
            test.getKeyName() + "xyx" +
            "/login/Login.po/";

        System.out.println("PATH: " + path);
        System.out.println("UrlEncodedKey.removeFromPath(): " +
                           test.removeFromPath(path));
        System.out.println("UrlEncodedKey.removeByNameFromPath(): " +
                           test.removeByNameFromPath(path));
        System.out.println("UrlEncodedKey.decode(): " +
                           test.decode(path));
        System.out.println("---\n");

        path = "http://ra.lutris.com:80/iiop/HarmonDemoApp/" +
            test.getUrlEncodedKey() + "/login/Login.po/" +
            test.getUrlEncodedKey() + "/bogus/" +
            test.getKeyName() + "xyx/bogus/bogus/" +
            test.getUrlEncodedKey() + "/";
        System.out.println("PATH: " + path);
        System.out.println("UrlEncodedKey.removeFromPath(): " +
                           test.removeFromPath(path));
        System.out.println("UrlEncodedKey.removeByNameFromPath(): " +
                           test.removeByNameFromPath(path));
        System.out.println("UrlEncodedKey.decode(): " +
                           test.decode(path));
        System.out.println("---\n");
    }
}
