/*-----------------------------------------------------------------------------
 * Enhydra Java Application Server
 * Copyright 1997-2000 Lutris Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes Enhydra software developed by Lutris
 *      Technologies, Inc. and its contributors.
 * 4. Neither the name of Lutris Technologies nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY LUTRIS TECHNOLOGIES AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL LUTRIS TECHNOLOGIES OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *-----------------------------------------------------------------------------
 * $Id: TestPO1.java,v 1.11 2000/01/29 07:02:13 markd Exp $
 *-----------------------------------------------------------------------------
 */




/*
 * Test presentation object #1.
 */
package com.acme.gui.presObjs;

import com.lutris.util.*;
import com.lutris.appserver.server.session.*;
import com.lutris.appserver.server.httpPresentation.*;

public class TestPO1 implements HttpPresentation {
    private static final String html1 = "<TITLE>Harmony Presentaion Object: TestPO1</TITLE>\n" +
        "<H1>Hello, World</H1>\n" +
        "Brought to you by the Harmony presentation object!\n";

    public void run(HttpPresentationComms comms) throws Exception {
        comms.response.setContentType("text/html");

        comms.response.setStatus(HttpPresentationResponse.SC_OK, "Good job");

        HttpPresentationOutputStream out = comms.response.getOutputStream();
        out.print(html1);
        HttpDebug.displayComms(comms);

        
        out.println("<CENTER>");
        out.println("<H2>Auto Session Creation Check</H2>");
        if (comms.session == null) {
            out.print("*** No session object exists ***");
        } else {
            SessionData sessionData = comms.session.getSessionData();
            Integer cntr = (Integer)sessionData.get("TestPO1.counter");
            if (cntr == null) {
                out.print("First access to this page for this session<p>");
                sessionData.set("TestPO1.counter", new Integer(1));
            } else {
                cntr = new Integer(cntr.intValue()+1);
                out.print("Access " + cntr + " to this page for this session<p>");
                sessionData.set("TestPO1.counter", cntr);
            }
        }
        out.println("</CENTER>");
    }
}
