/*-----------------------------------------------------------------------------
 * Enhydra Java Application Server
 * Copyright 1997-2000 Lutris Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes Enhydra software developed by Lutris
 *      Technologies, Inc. and its contributors.
 * 4. Neither the name of Lutris Technologies nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY LUTRIS TECHNOLOGIES AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL LUTRIS TECHNOLOGIES OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *-----------------------------------------------------------------------------
 * $Id: ASTInclude.java,v 1.8 2000/01/29 07:02:21 markd Exp $
 *-----------------------------------------------------------------------------
 */




package com.lutris.appserver.server.jolt.parser;

/**
 * This node is for JOLT INCLUDE.
 *
 * @author Shawn McMurdo
 * @version $Revision: 1.8 $
 */
public class ASTInclude extends SimpleNode
{
    private String filename;
    private int beginLine;

    ASTInclude(int id)
    {
        super(id);
    }

    /**
     * Accept the visitor.
     */
    public Object jjtAccept(JoltParserVisitor visitor, Object data)
    {
        return visitor.visit(this, data);
    }

    /**
     * Set the filename
     */
    public void setFilename(String filename)
    {
        this.filename = filename;
    }

    /**
     * Get the filename
     */
    public String getFilename()
    {
        return this.filename;
    }

    /**
     * Set the beginning line for the node.
     */
    public void setBeginLine(int beginLine)
    {
        this.beginLine = beginLine;
    }

    /**
     * Get the beginning line for the node.
     */
    public int getBeginLine()
    {
        return this.beginLine;
    }

    public String toString()
    {
        return "Include: " + this.filename;
    }
}

