/*
 * @(#)IStack.java   1.3 1999/07/30
 *
 */

package org.w3c.tidy;

/**
 *
 * Inline stack node
 *
 * (c) 1998, 1999 (W3C) MIT, INRIA, Keio University
 * See Tidy.java for the copyright notice.
 * Derived from <a href="http://www.w3.org/People/Raggett/tidy">
 * HTML Tidy Release 26 Jul 1999</a>
 *
 * @author  Dave Raggett <dsr@w3.org>
 * @author  Andy Quick <ac.quick@sympatico.ca> (translation to Java)
 * @version 1.0, 1999/05/22
 * @version 1.0.1, 1999/05/29
 * @version 1.1, 1999/06/18 Java Bean
 * @version 1.2, 1999/07/10 Tidy Release 7 Jul 1999
 * @version 1.3, 1999/07/30 Tidy Release 26 Jul 1999
 */

public class IStack {

    /*
      Mosaic handles inlines via a separate stack from other elements
      We duplicate this to recover from inline markup errors such as:

         <i>italic text
         <p>more italic text</b> normal text

      which for compatibility with Mosaic is mapped to:

         <i>italic text</i>
         <p><i>more italic text</i> normal text

      Note that any inline end tag pop's the effect of the current
      inline start tag, so that </b> pop's <i> in the above example.
    */

    public IStack next;
    public Dict tag;   /* tag's dictionary definition */
    public String element;          /* name (null for text nodes) */
    public AttVal attributes;

    public IStack()
    {
        next       = null;
        tag        = null;
        element    = null;
        attributes = null;
    }

}
