/*
 * @(#)Out.java   1.3 1999/07/30
 *
 */

package org.w3c.tidy;

/**
 *
 * Output Stream
 *
 * (c) 1998, 1999 (W3C) MIT, INRIA, Keio University
 * See Tidy.java for the copyright notice.
 * Derived from <a href="http://www.w3.org/People/Raggett/tidy">
 * HTML Tidy Release 26 Jul 1999</a>
 *
 * @author  Dave Raggett <dsr@w3.org>
 * @author  Andy Quick <ac.quick@sympatico.ca> (translation to Java)
 * @version 1.0, 1999/05/22
 * @version 1.0.1, 1999/05/29
 * @version 1.1, 1999/06/18 Java Bean
 * @version 1.2, 1999/07/10 Tidy Release 7 Jul 1999
 * @version 1.3, 1999/07/30 Tidy Release 26 Jul 1999
 */

import java.io.OutputStream;

public abstract class Out
{
    public int encoding;
    public int state;     /* for ISO 2022 */
    public OutputStream out;

    public abstract void outc(int c);

    public void outc(byte c) {
        outc(((int)c) & 0xFF);  // Convert to unsigned.
    }

    public abstract void newline();

};

