/*
 * @(#)Style.java   1.3 1999/07/30
 *
 */

package org.w3c.tidy;

/**
 *
 * Linked list of class names and styles
 *
 * (c) 1998, 1999 (W3C) MIT, INRIA, Keio University
 * Derived from <a href="http://www.w3.org/People/Raggett/tidy">
 * HTML Tidy Release 26 Jul 1999</a>
 *
 * @author  Dave Raggett <dsr@w3.org>
 * @author  Andy Quick <ac.quick@sympatico.ca> (translation to Java)
 * @version 1.0, 1999/05/22
 * @version 1.0.1, 1999/05/29
 * @version 1.1, 1999/06/18 Java Bean
 * @version 1.2, 1999/07/10 Tidy Release 7 Jul 1999
 * @version 1.3, 1999/07/30 Tidy Release 26 Jul 1999
 */

public class Style {

    public Style(String tag, String tagClass, String properties, Style next)
    {
        this.tag  = tag;
        this.tagClass = tagClass;
        this.properties = properties;
        this.next  = next;
    }

    public Style(String tag, String tagClass, String properties)
    {
        this(tag, tagClass, properties, null);
    }

    public Style()
    {
        this(null, null, null, null);
    }

    public String tag;
    public String tagClass;
    public String properties;
    public Style  next;

}
