//------------------------------------------------------------------------
//
//  SETUP.H
//  Enhydra Tools for JDeveloper Setup
//
//------------------------------------------------------------------------

#define UNINST_LOGFILE_NAME      "Uninst.isu"
#define FILE_DIALOG_IMAGE         "dialog.bmp"
#define FILE_TOOL_JAR             "jdev-kelp.jar"
#define FILE_ENHYDRA_JAR          "enhydra.jar"
#define FILE_SAMPLE_PROJECT       "KelpSample.jpr"
#define KELP_FOLDER               "jdev-kelp"
#define FILE_JBUILDER_INI         "jdeveloper.ini"
#define FILE_ENHYDRA_PROPERTIES   "enhydra.properties"
#define DEFAULT_ENHYDRA_BASE_1    "c:\\usr\\local\\Enhydra";
#define DEFAULT_ENHYDRA_BASE_2    "c:\\usr\\local";

#define DEFAULT_ENHYDRA_SUB_1    "\\lutris-enhydra3.0\\lib"
#define DEFAULT_ENHYDRA_SUB_2    "\\enhydra3.0\\lib"
#define DEFAULT_ENHYDRA_SUB_3    "\\enhydra2.3\\lib"
#define DEFAULT_ENHYDRA_SUB_4    "\\enhydra\\lib"

#define REG_LUTRIS           "\\SOFTWARE\\Lutris Technologies"
#define REG_ENHYDRA_23_KEY   "\\Enhydra\\2.3"
#define REG_ENHYDRA_30_KEY   "\\Enhydra\\3.0"
#define REG_ENHYDRA_PATHNAME "Pathname"



#define DIALOG_COMPLETE       -1
#define DIALOG_BACK            0
#define DIALOG_WELCOME         1
#define DIALOG_APPTARGET       2
#define DIALOG_ENHYDRA         3
#define DIALOG_SETUPTYPE       4
#define DIALOG_CUSTOM          5
#define DIALOG_PROGRAMGROUP    6
#define DIALOG_SHOWFILEMOD     7
#define DIALOG_STARTCOPY       8

#define REG_JBUILDER       "\\SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\App Paths\\jdeveloper.exe"
#define REG_PATHNAME       "Path"

#define COMP_TOOLS    "Tools"
#define COMP_SAMPLE   "Sample"
#define COMP_SOURCE   "Source"
#define COMP_HELP     "Help"
#define COMP_WINTOOLS "WinTools"

// ---- script function prototypes -----

prototype addDialog( NUMBER, NUMBER );
prototype showDialog( NUMBER );
prototype moveFileData();
prototype handleMoveDataError( NUMBER );
prototype processBeforeDataMove();
prototype processAfterDataMove();
prototype updateRegistry();
prototype setupFolders();
prototype cleanUpInstall();
prototype prepareInstall();
prototype prepareScreen();
prototype checkRequirements();
prototype isEnhydraFound(STRING);
prototype isTargetFound(STRING);
prototype isTargetRunning(STRING);
prototype expandEnhydraPath(BYREF STRING);
prototype findDefaultEnhydra(BYREF STRING);
prototype findDefaultTarget(BYREF STRING);
prototype copyCustomSupportFiles();
prototype addStandardIcon(STRING, STRING, STRING, STRING);
prototype getParameterValue(BYREF STRING, STRING);
prototype backupFile(STRING, STRING);
prototype launchBrowser();
prototype Shell32.ShellExecuteA(HWND, LPSTR, LPSTR, LPSTR, LPSTR, INT);
prototype modifyEnhydraPropertiesFile(STRING);
prototype transformPathForProperty(BYREF STRING);



