/*-----------------------------------------------------------------------------
 * Copyright (C) 1999 Lutris Technologies, Inc.           All Rights Reserved.
 * 
 * This software and documentation is the confidential and proprietary
 * information of Lutris Technologies, Inc. ("Confidential Information").
 * You shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement you
 * entered into with Lutris Technologies.
 *-----------------------------------------------------------------------------
 * $Id: Service.java,v 1.2 2000/02/18 07:25:11 shawn Exp $
 *-----------------------------------------------------------------------------
 */
 
package com.lutris.multiServer;

/**
 * This interface is a temporary placeholder until we design a real
 * service interface based on J2EE or XS or something else.
 *
 * @author Shawn McMurdo
 */
public interface Service {

    /**
     * Initialize the service.
     * Passes a configuration string to the service, which is used in a service
     * dependent way.  This could be a configuration file name or URL.
     *
     * @param config
     *		a configuration string which is service dependent.
     */
    public void init(String config);

    /**
     * Starts the service.
     */
    public void start();

    /**
     * Stops the service.
     */
    public void stop();

}

