
/*-----------------------------------------------------------------------------
 * Enhydra Java Application Server
 * Copyright 1997-2000 Lutris Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes Enhydra software developed by Lutris
 *      Technologies, Inc. and its contributors.
 * 4. Neither the name of Lutris Technologies nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY LUTRIS TECHNOLOGIES AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL LUTRIS TECHNOLOGIES OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *-----------------------------------------------------------------------------
 * $Id: RequestsDataSource.java,v 1.13 2000/01/29 07:03:12 markd Exp $
 *-----------------------------------------------------------------------------
 */





/* This file was created and edited with tabstops set to 8.
 * If you are using "vi" to edit this file, enter the command:
 * 
 *        :set ts=8
 *
 * to set the tabstops to 8.
 */
package com.lutris.appserver.admin.presentation.monitor.gui;


import java.awt.*;
import java.util.*;
import java.io.*;
import java.net.*;
import javax.swing.event.*;
import javax.swing.*;
import jclass.chart.*;
import com.lutris.appserver.admin.presentation.monitor.io.*;


/**
 * This class contains the data that the JClass JCChart object will
 * see.  It implements the jclass.chart.Chartable interface.
 * This class also gives the graph panel access to other data values
 * it will display.  For example, a max value or total count.
 * <P></P>
 * Currently, almost all the functionality is in the parent
 * class MonitorDataSource.  Later, when we start to implement
 * other data sources because RequestsDataSource,
 * (e.g. SessionsDataSource, DBConnectionsDataSource),
 * we will pull some of the data specific code down into this
 * class.
 */
class RequestsDataSource
extends MonitorDataSource {

    private int hackCount = 0;

    RequestsDataSource(JApplet newApplet) {
	super(newApplet);
    }


    BaseRequest createRequest() {

	RequestsRequest dataRequest = new RequestsRequest();
	dataRequest.startTime = null;
	dataRequest.endTime = null;
	dataRequest.maxDataPoints = 1000;

	/* This tells the MonitorDataServer which hard coded
	 * data we want.  This is a hack until the MonitorDataServer
	 * is written to really look at the start and end time values.
	 *
	 */
	dataRequest.hackValue = hackCount++;

	return(dataRequest);
    }
}
