/*-----------------------------------------------------------------------------
 * Enhydra Java Application Server
 * Copyright 1997-2000 Lutris Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes Enhydra software developed by Lutris
 *      Technologies, Inc. and its contributors.
 * 4. Neither the name of Lutris Technologies nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY LUTRIS TECHNOLOGIES AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL LUTRIS TECHNOLOGIES OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *-----------------------------------------------------------------------------
 * $Id: ClassLoaderImagePanel.java,v 1.6 2000/01/29 07:03:13 markd Exp $
 *-----------------------------------------------------------------------------
 */




package com.lutris.devsys.newApp;

import java.awt.*;
import java.io.*;

public class ClassLoaderImagePanel extends java.awt.Panel
{

    public ClassLoaderImagePanel()
    {
        //{{INIT_CONTROLS
        //}}
    }
    //{{DECLARE_CONTROLS
    //}}

    public void setImageName(java.lang.String imageName) throws ImageNotFoundException
    {
        this.imageName = imageName;
        
        Toolkit toolkit = Toolkit.getDefaultToolkit();

        Class fileClass = null;

        try{
            fileClass = Class.forName("com.lutris.devsys.newApp.ClassLoaderImagePanel");
        }
        catch(ClassNotFoundException e){}

        InputStream input = fileClass.getResourceAsStream(imageName);

        if(input==null){
            throw new ImageNotFoundException();
        }

        byte[] b;
        int blength = 0;

        try {
            if(input != null) {
                blength = input.available();
            }
        }
        catch(IOException e) {
        }

        if(blength != -1) {
            b = new byte[blength];
        }
        else {
            b = new byte[0];
        }

        try {
            if(input != null) {
                input.read(b);
            }
        }
        catch(IOException e) {
        }
    
        image = toolkit.createImage(b);

    }

    public java.lang.String getImageName()
    {
        return this.imageName;
    }

    public void paint(java.awt.Graphics g)
    {
        if(image!=null) {
            g.drawImage(image, 0, 0, this);
        }
    }

    static public void main(String args[])
    {
        class DriverFrame extends java.awt.Frame {
            public DriverFrame() {
                addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent event)
                    {
                        dispose();    // free the system resources
                        System.exit(0); // close the application
                    }
                });
                this.setLayout(new java.awt.BorderLayout());
                this.setSize(300,300);
                this.add(new ClassLoaderImagePanel());
            }
        }

        new DriverFrame().show();
    }

    protected java.awt.Image image;
    protected java.lang.String imageName;

}
