/*-----------------------------------------------------------------------------
 * Enhydra Java Application Server
 * Copyright 1997-2000 Lutris Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes Enhydra software developed by Lutris
 *      Technologies, Inc. and its contributors.
 * 4. Neither the name of Lutris Technologies nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY LUTRIS TECHNOLOGIES AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL LUTRIS TECHNOLOGIES OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *-----------------------------------------------------------------------------
 * $Id: ConfirmationDialog.java,v 1.8 2000/01/29 07:03:13 markd Exp $
 *-----------------------------------------------------------------------------
 */




 
// Note: tags like //{{ and //}} and everything in between were created by 
// Visual Cafe, and if you ever want to load this back into Visual Cafe, don't
// touch mess with them.

package com.lutris.devsys.newApp;
import java.awt.*;

/**
 * Created to confirm the information entered into NewApp
 *
 * @see NewApp
 *
 * @since   LSB1.8
 * @author  Philip Martin
 * @version $Revision: 1.8 $
 */

public class ConfirmationDialog extends Dialog {

    String applicationName;
    String copyrightName;
    String rootDirectory;
    String packageDirectory;
    String lutrisDirectory;
    
    /**
     * Constructor which takes Lays out all the labels and buttons
     *
     * @param parent The NewApp frame.
     * @param modal The modal Parameter.
     * @param appName The Text from the Application Name Textfield.
     * @param copyName The Text from the Copyright Name Textfield.
     * @param rootDir The Text from the Root Directory Textfield.
     * @param packageDir The Text from the Package Directory Textfield.
     * @param lutrisDir The Text from the Lutris Directory Textfield.
     */
    public ConfirmationDialog(Frame parent, boolean modal, String appName,
                                String copyName, String rootDir,
                                String packageDir, String lutrisDir) {
        super(parent, modal);

	applicationName = appName;
	copyrightName = copyName;
	rootDirectory = rootDir;
	packageDirectory = packageDir;
	lutrisDirectory = lutrisDir;

        // This code is automatically generated by Visual Cafe when you add
        // components to the visual environment. It instantiates and initializes
        // the components. To modify the code, only use code syntax that matches
        // what Visual Cafe can generate, or Visual Cafe may be unable to back
        // parse your Java file into its visual environment.
        //{{INIT_CONTROLS
        GridBagLayout gridBagLayout;
        gridBagLayout = new GridBagLayout();
        setLayout(gridBagLayout);
        setVisible(false);
        setSize(479,292);
        setFont(new Font("Dialog", Font.PLAIN, 12));
        setForeground(new Color(0));
        setBackground(new Color(12632256));
        label1 = new java.awt.Label("Is This Information Correct?");
        label1.setBounds(77,12,156,24);
        label1.setFont(new Font("Dialog", Font.PLAIN, 12));
        label1.setForeground(new Color(0));
        label1.setBackground(new Color(12632256));
        GridBagConstraints gbc;
        gbc = new GridBagConstraints();
        gbc.gridx = 0;
        gbc.gridy = 0;
        gbc.gridwidth = 2;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(12,36,0,0);
        gbc.ipadx = -10;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(label1, gbc);
        add(label1);
        label2 = new java.awt.Label("Application Name:");
        label2.setBounds(65,48,120,24);
        gbc = new GridBagConstraints();
        gbc.gridx = 0;
        gbc.gridy = 1;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(12,24,0,0);
        gbc.ipadx = 6;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(label2, gbc);
        add(label2);
        label3 = new java.awt.Label("Copyright Name:");
        label3.setBounds(65,84,120,24);
        gbc = new GridBagConstraints();
        gbc.gridx = 0;
        gbc.gridy = 2;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(12,24,0,0);
        gbc.ipadx = 14;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(label3, gbc);
        add(label3);
        label4 = new java.awt.Label("Root Directory:");
        label4.setBounds(65,120,120,24);
        gbc = new GridBagConstraints();
        gbc.gridx = 0;
        gbc.gridy = 3;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(12,24,0,0);
        gbc.ipadx = 26;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(label4, gbc);
        add(label4);
        label5 = new java.awt.Label("Package Directory:");
        label5.setBounds(65,156,120,24);
        gbc = new GridBagConstraints();
        gbc.gridx = 0;
        gbc.gridy = 4;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(12,24,0,0);
        gbc.ipadx = 4;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(label5, gbc);
        add(label5);
        label6 = new java.awt.Label("Lutris Directory:");
        label6.setBounds(65,192,120,24);
        gbc = new GridBagConstraints();
        gbc.gridx = 0;
        gbc.gridy = 5;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(12,24,0,0);
        gbc.ipadx = 21;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(label6, gbc);
        add(label6);
        label7 = new java.awt.Label(appName);
        label7.setBounds(197,48,32,24);
        label7.setBackground(new Color(12632256));
        gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 1;
        gbc.gridwidth = 4;
        gbc.anchor = GridBagConstraints.WEST;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(12,12,0,11);
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(label7, gbc);
        add(label7);
        label8 = new java.awt.Label(copyName);
        label8.setBounds(197,84,32,24);
        label8.setBackground(new Color(12632256));
        gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 2;
        gbc.gridwidth = 4;
        gbc.anchor = GridBagConstraints.WEST;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(12,12,0,11);
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(label8, gbc);
        add(label8);
        label9 = new java.awt.Label(rootDir);
        label9.setBounds(197,120,32,24);
        label9.setBackground(new Color(12632256));
        gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 3;
        gbc.gridwidth = 4;
        gbc.anchor = GridBagConstraints.WEST;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(12,12,0,11);
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(label9, gbc);
        add(label9);
        label10 = new java.awt.Label(packageDir);
        label10.setBounds(197,156,32,24);
        label10.setBackground(new Color(12632256));
        gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 4;
        gbc.gridwidth = 4;
        gbc.anchor = GridBagConstraints.WEST;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(12,12,0,11);
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(label10, gbc);
        add(label10);
        label11 = new java.awt.Label(lutrisDir);
        label11.setBounds(197,192,50,24);
        label11.setBackground(new Color(12632256));
        gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 5;
        gbc.gridwidth = 4;
        gbc.anchor = GridBagConstraints.WEST;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(12,12,0,11);
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(label11, gbc);
        add(label11);
        createButton = new java.awt.Button();
        createButton.setLabel("Create");
        createButton.setBounds(125,240,132,24);
        createButton.setFont(new Font("Dialog", Font.PLAIN, 12));
        createButton.setForeground(new Color(0));
        createButton.setBackground(new Color(8421504));
        gbc = new GridBagConstraints();
        gbc.gridx = 0;
        gbc.gridy = 6;
        gbc.gridwidth = 3;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(24,84,28,0);
        gbc.ipadx = 81;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(createButton, gbc);
        add(createButton);
        Back = new java.awt.Button();
        Back.setLabel("Go Back");
        Back.setBounds(305,240,132,24);
        Back.setBackground(new Color(8421504));
        gbc = new GridBagConstraints();
        gbc.gridx = 3;
        gbc.gridy = 6;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(24,48,28,0);
        gbc.ipadx = 72;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(Back, gbc);
        add(Back);
        setTitle("New Application Comfirmation");
        //}}
        
        //{{REGISTER_LISTENERS
        SymWindow aSymWindow = new SymWindow();
        this.addWindowListener(aSymWindow);
        SymAction lSymAction = new SymAction();
        Back.addActionListener(lSymAction);
        createButton.addActionListener(lSymAction);
        //}}
    }
    
    public void addNotify() {
        
        // Record the size of the window prior to calling parents addNotify.
        Dimension d = getSize();

        super.addNotify();

        if (fComponentsAdjusted)
            return;

        // Adjust components according to the insets
        setSize(getInsets().left + getInsets().right + d.width, getInsets().top + getInsets().bottom + d.height);
        Component components[] = getComponents();
        for (int i = 0; i < components.length; i++)
        {
            Point p = components[i].getLocation();
            p.translate(getInsets().left, getInsets().top);
            components[i].setLocation(p);
        }
        fComponentsAdjusted = true;
    }

    // Used for addNotify check.
    boolean fComponentsAdjusted = false;

    /**
     * Shows or hides the component depending on the boolean flag b.
     * @param b  if true, show the component; otherwise, hide the component.
     * @see java.awt.Component#isVisible
     */
    public void setVisible(boolean b) {
        if(b) {
            Rectangle bounds = getParent().getBounds();
            Rectangle abounds = getBounds();
    
            setLocation(bounds.x + (bounds.width - abounds.width)/ 2,
                 bounds.y + (bounds.height - abounds.height)/2);
        }
        super.setVisible(b);
    }

    //{{DECLARE_CONTROLS
    java.awt.Label label1;
    java.awt.Label label2;
    java.awt.Label label3;
    java.awt.Label label4;
    java.awt.Label label5;
    java.awt.Label label6;
    java.awt.Label label7;
    java.awt.Label label8;
    java.awt.Label label9;
    java.awt.Label label10;
    java.awt.Label label11;
    java.awt.Button createButton;
    java.awt.Button Back;
    //}}

    /**
     * @see NewApp#SymWindow
     */

    class SymWindow extends java.awt.event.WindowAdapter {
        public void windowClosing(java.awt.event.WindowEvent event)
        {
            Object object = event.getSource();
            if (object == ConfirmationDialog.this)
                Dialog1_WindowClosing(event);
        }
    }
    
    void Dialog1_WindowClosing(java.awt.event.WindowEvent event) {
    }

    /**
     * @see NewApp#SymAction
     */
    class SymAction implements java.awt.event.ActionListener {        
        public void actionPerformed(java.awt.event.ActionEvent event)
        {
            Object object = event.getSource();
            if (object == Back)
                BackButton_ActionPerformed(event);
            else if (object == createButton)
                CreateButton_ActionPerformed(event);
        }
    }

    /**
     * Hides the frame when the Go Back Button is pushed.
     * @param event Not used
     */

    void BackButton_ActionPerformed(java.awt.event.ActionEvent event) {
        // to do: code goes here.
             
        //{{CONNECTION
        // Hide the Dialog
        setVisible(false);
        //}}
    }

    /**
     * Creates the New Application and then exits
     *
     * @param event Not Used
     */

    void CreateButton_ActionPerformed(java.awt.event.ActionEvent event)
    {
        // to do: code goes here.
        this.create();
             
        //{{CONNECTION
        // Create and show as modal
        (new SuccessDialog((Frame)getParent(), true)).setVisible(true);
        //}}
        
        setVisible(false);  // hide the Frame
        dispose();          // free the system resources
        System.exit(0);     // close the application        
    }

    void create() {
        LutrisAppTree lat = new LutrisAppTree();

	lat.setAppName(this.applicationName);
	lat.setCopyrightName(this.copyrightName);
	if(!rootDirectory.equals("default"))
	    lat.setRootDir(this.rootDirectory);
	if(!packageDirectory.equals("default"))
	    lat.setPackageDir(this.packageDirectory);
	if(!lutrisDirectory.equals("default"))
	    lat.setEnhydraDir(this.lutrisDirectory);


	System.out.println("Created app");
	try {
	    lat.create();
	}
	catch (Exception e) {
	    System.out.println(e.getMessage());
	}
    }
}




