/*-----------------------------------------------------------------------------
 * Enhydra Java Application Server
 * Copyright 1997-2000 Lutris Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes Enhydra software developed by Lutris
 *      Technologies, Inc. and its contributors.
 * 4. Neither the name of Lutris Technologies nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY LUTRIS TECHNOLOGIES AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL LUTRIS TECHNOLOGIES OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *-----------------------------------------------------------------------------
 * $Id: NewApp.java,v 1.7 2000/01/29 07:03:13 markd Exp $
 *-----------------------------------------------------------------------------
 */




 
// Note: tags like //{{ and //}} and everything in between were created by 
// Visual Cafe, and if you ever want to load this back into Visual Cafe, don't
// touch mess with them.

package com.lutris.devsys.newApp;
import java.awt.*; 

/**
 * GUI application for newapp.  This class should not be instantiated.
 * It is only a GUI for the class LutrisAppTree.  This class
 * creates an instance of that LutrisAppTree, and lets it do most of the
 * work by calling LutrisAppTree.create().
 *
 * @see LutrisAppTree
 *
 * @since   LSB1.8
 * @author  Philip Martin
 * @version $Revision: 1.7 $
 */

import com.lutris.devsys.newApp.ClassLoaderImagePanel;

public class NewApp extends Frame {

    /**
     * Constructor which creates a frame and lays out all of the labels
     * and textfields and such.
     */

    public NewApp() {

        // This code is automatically generated by Visual Cafe when you add
        // components to the visual environment. It instantiates and initializes
        // the components. To modify the code, only use code syntax that matches
        // what Visual Cafe can generate, or Visual Cafe may be unable to back
        // parse your Java file into its visual environment.

        //{{INIT_CONTROLS
        GridBagLayout gridBagLayout;
        gridBagLayout = new GridBagLayout();
        setLayout(gridBagLayout);
        setVisible(false);
        setSize(526,358);
        setFont(new Font("Dialog", Font.PLAIN, 12));
        setForeground(new Color(0));
        setBackground(new Color(12632256));
        appName = new java.awt.Label("Application Name:");
        appName.setBounds(186,30,102,24);
        appName.setFont(new Font("Dialog", Font.PLAIN, 12));
        appName.setForeground(new Color(0));
        appName.setBackground(new Color(12632256));
        GridBagConstraints gbc;
        gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 0;
        gbc.gridwidth = 3;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(30,18,0,0);
        gbc.ipadx = -12;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(appName, gbc);
        add(appName);
        copyName = new java.awt.Label("Copyright Name:");
        copyName.setBounds(186,90,97,24);
        copyName.setFont(new Font("Dialog", Font.PLAIN, 12));
        copyName.setForeground(new Color(0));
        copyName.setBackground(new Color(12632256));
        gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 1;
        gbc.gridwidth = 2;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(36,18,0,0);
        gbc.ipadx = -9;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(copyName, gbc);
        add(copyName);
        rootDir = new java.awt.Label("Root Directory:");
        rootDir.setBounds(186,144,90,24);
        rootDir.setFont(new Font("Dialog", Font.PLAIN, 12));
        rootDir.setForeground(new Color(0));
        rootDir.setBackground(new Color(12632256));
        gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 2;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(30,18,0,0);
        gbc.ipadx = -4;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(rootDir, gbc);
        add(rootDir);
        packDir = new java.awt.Label("Package Directory:");
        packDir.setBounds(186,204,108,24);
        packDir.setFont(new Font("Dialog", Font.PLAIN, 12));
        packDir.setForeground(new Color(0));
        packDir.setBackground(new Color(12632256));
        gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 3;
        gbc.gridwidth = 4;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(36,18,0,0);
        gbc.ipadx = -8;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(packDir, gbc);
        add(packDir);
        lutrisDir = new java.awt.Label("Lutris Directory:");
        lutrisDir.setBounds(186,264,97,24);
        lutrisDir.setFont(new Font("Dialog", Font.PLAIN, 12));
        lutrisDir.setForeground(new Color(0));
        lutrisDir.setBackground(new Color(12632256));
        gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 4;
        gbc.gridwidth = 2;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(36,18,0,0);
        gbc.ipadx = -2;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(lutrisDir, gbc);
        add(lutrisDir);
        applicationName = new java.awt.TextField();
        applicationName.setBounds(294,30,216,24);
        applicationName.setFont(new Font("Dialog", Font.PLAIN, 12));
        applicationName.setForeground(new Color(0));
        applicationName.setBackground(new Color(16777215));
        gbc = new GridBagConstraints();
        gbc.gridx = 5;
        gbc.gridy = 0;
        gbc.gridwidth = 2;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(30,0,0,16);
        gbc.ipadx = 192;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(applicationName, gbc);
        add(applicationName);
        copyrightName = new java.awt.TextField();
        copyrightName.setText("Lutris Technologies");
        copyrightName.setBounds(294,90,216,24);
        copyrightName.setFont(new Font("Dialog", Font.PLAIN, 12));
        copyrightName.setForeground(new Color(0));
        copyrightName.setBackground(new Color(16777215));
        gbc = new GridBagConstraints();
        gbc.gridx = 5;
        gbc.gridy = 1;
        gbc.gridwidth = 2;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(36,0,0,16);
        gbc.ipadx = 83;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(copyrightName, gbc);
        add(copyrightName);
        rootDirectory = new java.awt.TextField();
        rootDirectory.setText("default");
        rootDirectory.setBounds(294,144,192,24);
        rootDirectory.setFont(new Font("Dialog", Font.PLAIN, 12));
        rootDirectory.setForeground(new Color(0));
        rootDirectory.setBackground(new Color(16777215));
        gbc = new GridBagConstraints();
        gbc.gridx = 5;
        gbc.gridy = 2;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(30,0,0,0);
        gbc.ipadx = 131;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(rootDirectory, gbc);
        add(rootDirectory);
        packageDirectory = new java.awt.TextField();
        packageDirectory.setText("default");
        packageDirectory.setBounds(294,204,192,24);
        packageDirectory.setFont(new Font("Dialog", Font.PLAIN, 12));
        packageDirectory.setForeground(new Color(0));
        packageDirectory.setBackground(new Color(16777215));
        gbc = new GridBagConstraints();
        gbc.gridx = 5;
        gbc.gridy = 3;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(36,0,0,0);
        gbc.ipadx = 131;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(packageDirectory, gbc);
        add(packageDirectory);
        lutrisDirectory = new java.awt.TextField();
        lutrisDirectory.setText("default");
        lutrisDirectory.setBounds(294,264,192,24);
        lutrisDirectory.setFont(new Font("Dialog", Font.PLAIN, 12));
        lutrisDirectory.setForeground(new Color(0));
        lutrisDirectory.setBackground(new Color(16777215));
        gbc = new GridBagConstraints();
        gbc.gridx = 5;
        gbc.gridy = 4;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(36,0,0,0);
        gbc.ipadx = 131;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(lutrisDirectory, gbc);
        add(lutrisDirectory);
        createButton = new java.awt.Button();
        createButton.setLabel("Create");
        createButton.setBounds(408,318,102,22);
        createButton.setFont(new Font("Dialog", Font.PLAIN, 12));
        createButton.setForeground(new Color(0));
        createButton.setBackground(new Color(8421504));
        gbc = new GridBagConstraints();
        gbc.gridx = 5;
        gbc.gridy = 6;
        gbc.gridwidth = 2;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(18,114,18,16);
        gbc.ipadx = 51;
        gbc.ipady = -1;
        ((GridBagLayout)getLayout()).setConstraints(createButton, gbc);
        add(createButton);
        classLoaderImagePanel1 = new com.lutris.devsys.newApp.ClassLoaderImagePanel();
        try {
            classLoaderImagePanel1.setImageName("/com/lutris/devsys/newApp/media/AppWizard.gif");
        }
        catch(com.lutris.devsys.newApp.ImageNotFoundException e) { }
        classLoaderImagePanel1.setLayout(new FlowLayout(FlowLayout.CENTER,5,5));
        classLoaderImagePanel1.setBounds(18,18,150,282);
        classLoaderImagePanel1.setFont(new Font("Dialog", Font.PLAIN, 12));
        classLoaderImagePanel1.setForeground(new Color(0));
        classLoaderImagePanel1.setBackground(new Color(16777215));
        gbc = new GridBagConstraints();
        gbc.gridx = 0;
        gbc.gridy = 0;
        gbc.gridheight = 6;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(18,18,0,0);
        gbc.ipadx = 140;
        gbc.ipady = 272;
        ((GridBagLayout)getLayout()).setConstraints(classLoaderImagePanel1, gbc);
        add(classLoaderImagePanel1);
        button1 = new java.awt.Button();
        button1.setLabel(". . .");
        button1.setBounds(486,144,24,24);
        button1.setFont(new Font("Dialog", Font.BOLD, 12));
        button1.setForeground(new Color(0));
        button1.setBackground(new Color(12632256));
        gbc = new GridBagConstraints();
        gbc.gridx = 6;
        gbc.gridy = 2;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(30,0,0,16);
        gbc.ipadx = -5;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(button1, gbc);
        add(button1);
        button2 = new java.awt.Button();
        button2.setLabel(". . .");
        button2.setBounds(486,204,24,24);
        button2.setFont(new Font("Dialog", Font.BOLD, 12));
        button2.setForeground(new Color(0));
        button2.setBackground(new Color(12632256));
        gbc = new GridBagConstraints();
        gbc.gridx = 6;
        gbc.gridy = 3;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(36,0,0,16);
        gbc.ipadx = -5;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(button2, gbc);
        add(button2);
        button3 = new java.awt.Button();
        button3.setLabel(". . .");
        button3.setBounds(486,264,24,24);
        button3.setFont(new Font("Dialog", Font.BOLD, 12));
        button3.setForeground(new Color(0));
        button3.setBackground(new Color(12632256));
        gbc = new GridBagConstraints();
        gbc.gridx = 6;
        gbc.gridy = 4;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(36,0,0,16);
        gbc.ipadx = -5;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(button3, gbc);
        add(button3);
        setTitle("New Application Wizard");
        setResizable(false);
        //}}
        
        //{{INIT_MENUS
        //}}
        
        //{{REGISTER_LISTENERS
        SymWindow aSymWindow = new SymWindow();
        this.addWindowListener(aSymWindow);
        SymAction lSymAction = new SymAction();
        createButton.addActionListener(lSymAction);
        applicationName.addActionListener(lSymAction);
        copyrightName.addActionListener(lSymAction);
        rootDirectory.addActionListener(lSymAction);
        packageDirectory.addActionListener(lSymAction);
        lutrisDirectory.addActionListener(lSymAction);
        //}}
    }
    
    /**
     * Shows or hides the component depending on the boolean flag b.
     *
     * @param b  if true, show the component; otherwise, hide the component.
     * @see java.awt.Component#isVisible
     */
    public void setVisible(boolean b) {

        if(b) {
            setLocation(50, 50);
        }   
        super.setVisible(b);
    }

    /**
     * Main method instantiates a NewApp frame
     * @param args Not currently used.
     */

    static public void main(String args[]) {
        (new NewApp()).setVisible(true);
    }
    
    public void addNotify() {
        // Record the size of the window prior to calling parents addNotify.
        Dimension d = getSize();
        
        super.addNotify();
    
        if (fComponentsAdjusted)
            return;
    
        // Adjust components according to the insets
        setSize(getInsets().left + getInsets().right + d.width, getInsets().top + getInsets().bottom + d.height);
        Component components[] = getComponents();
        for (int i = 0; i < components.length; i++) {

            Point p = components[i].getLocation();
            p.translate(getInsets().left, getInsets().top);
            components[i].setLocation(p);
        }
        fComponentsAdjusted = true;
    }
    
    // Used for addNotify check.
    boolean fComponentsAdjusted = false;
    
    //{{DECLARE_CONTROLS
    java.awt.Label appName;
    java.awt.Label copyName;
    java.awt.Label rootDir;
    java.awt.Label packDir;
    java.awt.Label lutrisDir;
    java.awt.TextField applicationName;
    java.awt.TextField copyrightName;
    java.awt.TextField rootDirectory;
    java.awt.TextField packageDirectory;
    java.awt.TextField lutrisDirectory;
    java.awt.Button createButton;
    com.lutris.devsys.newApp.ClassLoaderImagePanel classLoaderImagePanel1;
    java.awt.Button button1;
    java.awt.Button button2;
    java.awt.Button button3;
    //}}
    
    //{{DECLARE_MENUS
    //}}

    /**
     * Listener for WindowEvents such as closing the window
     */
    
    class SymWindow extends java.awt.event.WindowAdapter {

        /**
         * Method called when the Window Closing event occures
         * @param event That event
         */

        public void windowClosing(java.awt.event.WindowEvent event) {

            Object object = event.getSource();
            if (object == NewApp.this)
                Frame1_WindowClosing(event);
        }
    }

    /**
     * This method is called to perform the necessary functions to close
     * down the window.
     * @param event The Window Closing event.
     */

    void Frame1_WindowClosing(java.awt.event.WindowEvent event) {

        setVisible(false);  // hide the Frame
        dispose();          // free the system resources
        System.exit(0);     // close the application
    }

    /**
     * ActionListener for NewApp
     */

    class SymAction implements java.awt.event.ActionListener {

        /**
         * Method called when an ActionEvent occurs
         * @param event The event
         */

        public void actionPerformed(java.awt.event.ActionEvent event) {

            Object object = event.getSource();
            if (object == createButton)
                createButton_ActionPerformed(event);
            else if (object == applicationName)
                applicationName_EnterHit(event);
            else if (object == copyrightName)
                copyrightName_EnterHit(event);
            else if (object == rootDirectory)
                rootDirectory_EnterHit(event);
            else if (object == packageDirectory)
                packageDirectory_EnterHit(event);
            else if (object == lutrisDirectory)
                lutrisDirectory_EnterHit(event);
        }
    }

    /**
     * Method which performs the right actions for when the CreateButton is
     * pressed or Enter is hit in any textField.
     * @param event The event
     */

    void createAction() {

        // to do: code goes here.

        if (!applicationName.getText().equals("")) {
             
            //{{CONNECTION
            // Create and show as modal
            (new ConfirmationDialog(this, true, 
                                    applicationName.getText(),
                                    copyrightName.getText(),
                                    rootDirectory.getText(),
                                    packageDirectory.getText(),
                                    lutrisDirectory.getText())).setVisible(true);
            //}}

        }
        else {
            //{{CONNECTION
            // Create and show as modal
            (new ErrorDialog(this, true)).setVisible(true);
            //}}
        }
    }
    
    /**
     * Calls the createAction method
     * @param event not currently used
     */

    void createButton_ActionPerformed(java.awt.event.ActionEvent event) {

        createAction();
    }

    /**
     * Calls the createAction method
     * @param event not currently used
     */

    void applicationName_EnterHit(java.awt.event.ActionEvent event) {

        createAction();
    }

    /**
     * Calls the createAction method
     * @param event not currently used
     */

    void copyrightName_EnterHit(java.awt.event.ActionEvent event)
    {
        createAction();
    }

    /**
     * Calls the createAction method
     * @param event not currently used
     */

    void rootDirectory_EnterHit(java.awt.event.ActionEvent event)
    {
        createAction();
    }

    /**
     * Calls the createAction method
     * @param event not currently used
     */

    void packageDirectory_EnterHit(java.awt.event.ActionEvent event)
    {
        createAction();
    }

    /**
     * Calls the createAction method
     * @param event not currently used
     */

    void lutrisDirectory_EnterHit(java.awt.event.ActionEvent event)
    {
        createAction();
    }
}
