/*-----------------------------------------------------------------------------
 * Enhydra Java Application Server
 * Copyright 1997-2000 Lutris Technologies, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes Enhydra software developed by Lutris
 *      Technologies, Inc. and its contributors.
 * 4. Neither the name of Lutris Technologies nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY LUTRIS TECHNOLOGIES AND CONTRIBUTORS ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL LUTRIS TECHNOLOGIES OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *-----------------------------------------------------------------------------
 * $Id: SuccessDialog.java,v 1.7 2000/01/29 07:03:13 markd Exp $
 *-----------------------------------------------------------------------------
 */




 
// Note: tags like //{{ and //}} and everything in between were created by 
// Visual Cafe, and if you ever want to load this back into Visual Cafe, don't
// touch mess with them.

package com.lutris.devsys.newApp;
import java.awt.*;

/**
 * Shown when the Application is successful.
 *
 * @since   LSB1.8
 * @author  Philip Martin
 * @version $Revision: 1.7 $
 */
 
import com.lutris.devsys.newApp.ClassLoaderImagePanel;
public class SuccessDialog extends Dialog {
    
    public SuccessDialog(Frame parent, boolean modal) {
        super(parent, modal);

        // This code is automatically generated by Visual Cafe when you add
        // components to the visual environment. It instantiates and initializes
        // the components. To modify the code, only use code syntax that matches
        // what Visual Cafe can generate, or Visual Cafe may be unable to back
        // parse your Java file into its visual environment.
        //{{INIT_CONTROLS
        GridBagLayout gridBagLayout;
        gridBagLayout = new GridBagLayout();
        setLayout(gridBagLayout);
        setVisible(false);
        setSize(350,150);
        setFont(new Font("Dialog", Font.PLAIN, 12));
        setForeground(new Color(0));
        setBackground(new Color(12632256));
        label1 = new java.awt.Label("New Application Created Successfully");
        label1.setBounds(97,24,216,48);
        label1.setFont(new Font("Dialog", Font.PLAIN, 12));
        label1.setForeground(new Color(0));
        label1.setBackground(new Color(12632256));
        GridBagConstraints gbc;
        gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 0;
        gbc.gridwidth = 2;
        gbc.gridheight = 2;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(24,33,0,37);
        gbc.ipadx = -5;
        gbc.ipady = 25;
        ((GridBagLayout)getLayout()).setConstraints(label1, gbc);
        add(label1);
        button1 = new java.awt.Button();
        button1.setLabel("OK");
        button1.setBounds(73,96,204,24);
        button1.setFont(new Font("Dialog", Font.PLAIN, 12));
        button1.setForeground(new Color(0));
        button1.setBackground(new Color(8421504));
        gbc = new GridBagConstraints();
        gbc.gridx = 1;
        gbc.gridy = 2;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(24,9,30,0);
        gbc.ipadx = 173;
        gbc.ipady = 1;
        ((GridBagLayout)getLayout()).setConstraints(button1, gbc);
        add(button1);
        classLoaderImagePanel1 = new com.lutris.devsys.newApp.ClassLoaderImagePanel();
        try {
            classLoaderImagePanel1.setImageName("/com/lutris/devsys/newApp/media/Success.gif");
        }
        catch(com.lutris.devsys.newApp.ImageNotFoundException e) { }
        classLoaderImagePanel1.setLayout(new FlowLayout(FlowLayout.CENTER,5,5));
        classLoaderImagePanel1.setBounds(24,24,40,40);
        classLoaderImagePanel1.setFont(new Font("Dialog", Font.PLAIN, 12));
        classLoaderImagePanel1.setForeground(new Color(0));
        classLoaderImagePanel1.setBackground(new Color(16777215));
        gbc = new GridBagConstraints();
        gbc.gridx = 0;
        gbc.gridy = 0;
        gbc.fill = GridBagConstraints.NONE;
        gbc.insets = new Insets(24,24,0,0);
        gbc.ipadx = 30;
        gbc.ipady = 30;
        ((GridBagLayout)getLayout()).setConstraints(classLoaderImagePanel1, gbc);
        add(classLoaderImagePanel1);
        setTitle("New Application Created");
        //}}

        //{{REGISTER_LISTENERS
        SymWindow aSymWindow = new SymWindow();
        this.addWindowListener(aSymWindow);
        SymAction lSymAction = new SymAction();
        button1.addActionListener(lSymAction);
        //}}
    }
    
    public void addNotify() {
        
        // Record the size of the window prior to calling parents addNotify.
        Dimension d = getSize();

        super.addNotify();

        if (fComponentsAdjusted)
            return;

        // Adjust components according to the insets
        setSize(getInsets().left + getInsets().right + d.width, getInsets().top + getInsets().bottom + d.height);
        Component components[] = getComponents();
        for (int i = 0; i < components.length; i++) {
            Point p = components[i].getLocation();
            p.translate(getInsets().left, getInsets().top);
            components[i].setLocation(p);
        }
        fComponentsAdjusted = true;
    }

    // Used for addNotify check.
    boolean fComponentsAdjusted = false;

    /**
     * Shows or hides the component depending on the boolean flag b.
     * @param b  if true, show the component; otherwise, hide the component.
     * @see java.awt.Component#isVisible
     */
    public void setVisible(boolean b) {
        if(b) {
            Rectangle bounds = getParent().getBounds();
            Rectangle abounds = getBounds();
    
            setLocation(bounds.x + (bounds.width - abounds.width)/ 2,
                 bounds.y + (bounds.height - abounds.height)/2);
        }
        super.setVisible(b);
    }

    //{{DECLARE_CONTROLS
    java.awt.Label label1;
    java.awt.Button button1;
    com.lutris.devsys.newApp.ClassLoaderImagePanel classLoaderImagePanel1;
    //}}

    class SymWindow extends java.awt.event.WindowAdapter {

        public void windowClosing(java.awt.event.WindowEvent event)
        {
            Object object = event.getSource();
            if (object == SuccessDialog.this)
                Dialog1_WindowClosing(event);
        }
    }
    
    void Dialog1_WindowClosing(java.awt.event.WindowEvent event) {
    }

    class SymAction implements java.awt.event.ActionListener {
        public void actionPerformed(java.awt.event.ActionEvent event)
        {
            Object object = event.getSource();
            if (object == button1)
                button1_ActionPerformed(event);
        }
    }

    void button1_ActionPerformed(java.awt.event.ActionEvent event) {
             
        //{{CONNECTION
        // Hide the Dialog
        setVisible(false);
        //}}
    }
}






