/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: ServletError.java,v 1.4.2.1 2000/04/05 01:59:26 markd Exp $
 */

package org.enhydra.servlet;

/**
 * Error used when exceptions can't be thrown
 */
public class ServletError extends com.lutris.util.ChainedError {

    /**
     * Construct an error around an exception.
     *
     * @param except The exception to encapsulate.
     */
    public ServletError(Throwable except) {
        super(except);
    }

    /**
     * Construct an error with a specific message.
     *
     * @param msg The error message
     */
    public ServletError(String msg) {
        super(msg);
    }
}
