/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: ConnectionMethodException.java,v 1.4 2000/02/21 23:50:42 markd Exp $
 */

package org.enhydra.servlet.connectionMethods;
 
import com.lutris.util.ChainedException;

/**
 * ConnectionMethods throw this type of exception when there is an error.
 * Most likely this is a wrapper around the original exception that caused
 * the error.
 *
 * @see com.lutris.util.ChainedException
 * @see org.enhydra.servlet.connectionMethods.ConnectionMethod
 * @author Andy John
 */
public class ConnectionMethodException extends ChainedException {

    /**
        Construct a exception without a specified cause.

        @param msg The message associated with the exception.
    */
    public ConnectionMethodException(String msg)
    {
        super(msg);
    }


    /**
        Construct a exception with an associated causing exception.

        @param msg The message associated with the exception.
        @param cause The error or exception that cause this exception.
    */
    public ConnectionMethodException(String msg, Throwable cause) {
        super(msg, cause);
    }


    /**
        Construct a exception with an associated causing exception.
    
        @param cause The error or exception that cause this exception.
    */
    public ConnectionMethodException(Throwable cause) {
        super(cause);
    }   
}

