/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: EnhydraDirectorConnectionMethodBeanInfo.java,v 1.3 2000/02/21 23:50:42 markd Exp $
 */

package org.enhydra.servlet.connectionMethods.EnhydraDirector;

import java.beans.*;
import java.util.*;

/**
 * This class provides descriptors for all connection method attributes
 *
 * @see org.enhydra.servlet.connectionMethods.enhydra.EnhydraDirectorConnectionMethod
 * @version 1.0, 1999.12.10
 * @author John Marco
 */
public class EnhydraDirectorConnectionMethodBeanInfo extends SimpleBeanInfo
{
    public
    PropertyDescriptor[] getPropertyDescriptors()
    {
	try {
	    Class connectionMethodClass =
		org.enhydra.servlet.connectionMethods.EnhydraDirector.EnhydraDirectorConnectionMethod.class;
	    PropertyDescriptor[] propertyDescriptorArray;
	    propertyDescriptorArray = new PropertyDescriptor[5];
	    PropertyDescriptor tmpPD = null;

	    tmpPD = new PropertyDescriptor(EnhydraDirectorConnectionMethod.AUTH_KEY,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Authentication Key (optional): ");
	    propertyDescriptorArray[4] = tmpPD;

	    tmpPD = new PropertyDescriptor(EnhydraDirectorConnectionMethod.SESSION_AFFINITY,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Session Affinity (true or false): ");
	    propertyDescriptorArray[3] = tmpPD;

	    tmpPD = new PropertyDescriptor(EnhydraDirectorConnectionMethod.PORT,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Port Number: ");
	    propertyDescriptorArray[2] = tmpPD;

	    tmpPD = new PropertyDescriptor(EnhydraDirectorConnectionMethod.BIND_ADDR,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Bind Address (optional): ");
	    propertyDescriptorArray[1] = tmpPD;

	    tmpPD = new PropertyDescriptor(EnhydraDirectorConnectionMethod.PREFIX_HINT,
					   connectionMethodClass);
	    tmpPD.setDisplayName("HTTP Server URL (optional): ");
	    propertyDescriptorArray[0] = tmpPD;

	    return propertyDescriptorArray;
	} catch (IntrospectionException e) {
	    return null;
	}
    }
}


