/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: EnhydraDirectorException.java,v 1.3.2.1 2000/03/16 07:23:00 john Exp $
 */

package org.enhydra.servlet.connectionMethods.EnhydraDirector;

import java.io.IOException;

/**
 * Exception to signal that an EnhydraDirector connection has encountered
 * an error.
 */
public class EnhydraDirectorException extends IOException
{
    /**
     * Create a new exception object with no message text.
     */
    public
    EnhydraDirectorException()
    {
	super();
    }

    /**
     * Create a new exception object with message text.
     * 
     * @param msg The message text.
     */
    public
    EnhydraDirectorException(String msg)
    {
	super(msg);
    }
}

