/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: HttpConnectionMethodBeanInfo.java,v 1.4 2000/02/21 23:50:44 markd Exp $
 */

package org.enhydra.servlet.connectionMethods.http;

import java.beans.*;
import java.util.*;

/**
 * This class provides descriptors for all connection method attributes
 *
 * @see org.enhydra.servlet.connectionMethods.http.HttpConnectionMethod
 * @version 1.0, 10.25
 * @author Mike Ward
 **/

public class HttpConnectionMethodBeanInfo 
    extends SimpleBeanInfo {
    public PropertyDescriptor[] getPropertyDescriptors() {
	try {
	    Class connectionMethodClass = org.enhydra.servlet.connectionMethods.http.HttpConnectionMethod.class;
	    Vector propertyDescriptorVector = new Vector();
	    PropertyDescriptor tmpPD = null;
	    tmpPD = new PropertyDescriptor(HttpConnectionMethod.PORT,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Port Number: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    /**
	    tmpPD = new PropertyDescriptor("MaxHandlers",
					   connectionMethodClass);
	    tmpPD.setDisplayName("Maximum Number of Threads: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor("MaxQueue",
					   connectionMethodClass);
	    tmpPD.setDisplayName("Maximum Queue Size: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor("ClientTimeout",
					   connectionMethodClass);
	    tmpPD.setDisplayName("Client Timeout: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor("ThreadTimeout",
					   connectionMethodClass);
	    tmpPD.setDisplayName("Thread Timeout: ");
	    propertyDescriptorVector.addElement(tmpPD);
	    **/
	    PropertyDescriptor[] propertyDescriptorArray =
		new PropertyDescriptor[propertyDescriptorVector.size()];
	    propertyDescriptorVector.copyInto(propertyDescriptorArray);
	    return propertyDescriptorArray;
	} catch (IntrospectionException e) {
	    return null;
	}
    }
}
