/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: HttpsConnectionMethodBeanInfo.java,v 1.4 2000/02/21 23:50:44 markd Exp $
 */

package org.enhydra.servlet.connectionMethods.https;

import java.beans.*;
import java.util.*;

/**
 * This class provides descriptors for all connection method attributes
 *
 * @see org.enhydra.servlet.connectionMethods.https.HttpsConnectionMethod
 * @version 1.0, 10.25
 * @author Mike Ward
 **/

public class HttpsConnectionMethodBeanInfo 
    extends SimpleBeanInfo {
    public PropertyDescriptor[] getPropertyDescriptors() {
	try {
	    Class connectionMethodClass = org.enhydra.servlet.connectionMethods.https.HttpsConnectionMethod.class;
	    Vector propertyDescriptorVector = new Vector();
	    PropertyDescriptor tmpPD = null;
	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.PORT,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Port Number: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.SERVER_CERTIFICATE,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Server Certificate: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.SECURE_RANDOM_ALGORITHM,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Secure Random Alogorithm: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.SECURE_RANDOM_PROVIDER,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Secure Random Provider: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.SSL_CONTEXT_PROVIDER,
					   connectionMethodClass);
	    tmpPD.setDisplayName("SSL Context Provider: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.SSL_CONTEXT_PROTOCOL,
					   connectionMethodClass);
	    tmpPD.setDisplayName("SSL Context Protocol: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.KEY_STORE_LOCATION,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Key Store Location: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.KEY_STORE_PROVIDER,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Key Store Provider: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.KEY_MANAGER_ALGORITHM,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Key Manager Algorithm: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.KEY_MANAGER_PROVIDER,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Key Manager Provider: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.TRUST_MANAGER,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Trust Manager: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.PASSWORD,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Password: ");
	    propertyDescriptorVector.addElement(tmpPD);

	    tmpPD = new PropertyDescriptor(HttpsConnectionMethod.CLIENT_AUTHENTICATION,
					   connectionMethodClass);
	    tmpPD.setDisplayName("Client Authentication (true/false): ");
	    propertyDescriptorVector.addElement(tmpPD);

	    PropertyDescriptor[] propertyDescriptorArray =
		new PropertyDescriptor[propertyDescriptorVector.size()];
	    propertyDescriptorVector.copyInto(propertyDescriptorArray);
	    return propertyDescriptorArray;
	} catch (IntrospectionException e) {
	    return null;
	}
    }
}
