/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: ServletRecordCallback.java,v 1.4 2000/02/21 23:50:49 markd Exp $
 */

package org.enhydra.servlet.debug;

/**
 * Interface for objects that get called on transaction record queue
 * changes.
 * 
 * @version	$Revision: 1.4 $
 * @author	Mark Diekhans
 */
public interface ServletRecordCallback {
    
    /**
     * Function called on addition of a transaction record to the queue.
     * As this can result in a record being deleted, that record is
     * also returned.
     *
     * @param newRecord transaction record that was added to the queue.
     * @param deletedRecord transaction record that was deleted from the queue.
     */
    public void transactionRecordAddEvent(
            ServletTransactionRecord newRecord,
            ServletTransactionRecord deletedRecord);

    /**
     * Function called when all existing records are cleared from the queue.
     */
    public void clearRecordsEvent();
}
