/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: PrintTransactionInitInterceptor.java,v 1.4 2000/02/21 23:50:50 markd Exp $
 */

package org.enhydra.servlet.filter;

import java.io.PrintWriter;
import java.io.IOException;
import javax.servlet.Servlet;
import javax.servlet.ServletException;
import javax.servlet.ServletConfig;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.tomcat.core.LifecycleInterceptor;
import org.apache.tomcat.core.Context;


class PrintTransactionInitInterceptor implements LifecycleInterceptor {

    private String          prefix;
    private PrintWriter     out;
    private Servlet         srv;

    PrintTransactionInitInterceptor(Servlet srv, String prefix,
	    PrintWriter out) {

        this.prefix = prefix;
        this.out = out;
        this.srv = srv;
    }

    public void preInvoke(Context context, Servlet servlet) {
        out.println(prefix + servlet + ".init()");
    }

    public void postInvoke(Context context, Servlet servlet) {
    }
}

