/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: ShowInput.java,v 1.4 2000/02/21 23:50:52 markd Exp $
 */

import javax.servlet.*;
import javax.servlet.http.*;
import org.enhydra.servlet.filter.*;
import com.lutris.util.*;
import java.util.Random;
import java.io.IOException;

/**
 *  This is a work in progress. I think it works, but it need to be tested
 *  and commented. It's supposed to show all the data read from the input
 *  stream by the servlets. This does not include CGI args and POST url
 *  encoded parameters! They have already been "eaten" by the ServetRequest
 *  object by the time we get it.
 */
public class ShowInput extends MultiServerFilter {


    public ShowInput(String description, KeywordValueTable initArgs) {
        super(description, initArgs);
    }


    public WrapResult wrap(WrapResult originalObjects) {
        return new WrapResult(originalObjects.servlet,
                              new MyRequest(originalObjects.request),
                              originalObjects.response);
    }


    class MyRequest extends BasicTransactionRequest {
  
        /*
         *  Just use the BasicTransactionServlet constructor. 
         */ 
        public MyRequest(HttpServletRequest origRequest) {
            super(origRequest);
        }

        public ServletInputStream getInputStream() throws IOException {
            return new MyInput(super.getInputStream());
        }
    }



    class MyInput extends ServletInputStream {

        private ServletInputStream orig;
    
        public MyInput(ServletInputStream orig) {
            this.orig = orig;
        }

        public int readLine(byte b[],
                     int off,
                     int len) throws IOException {
            int rc;
            try {
                rc = orig.readLine(b, off, len);
            } catch (IOException e) {
                System.out.println("ShowInput: readLine(byte[], " + off +
                        ", " + len + ") threw " + e);
                throw(e);
            }
            System.out.println("ShowInput: readLine(byte[], " + off +
                        ", " + len + ") = " + rc);
            System.out.println("ShowInput: readLine read: " + BytesToString.conv(b, rc));
            return rc;
        }

       public int read() throws IOException {
            int rc;
            try {
                rc = orig.read();
            } catch (IOException e) {
                System.out.println("ShowInput: read() threw " + e);
                throw(e);
            }
            System.out.println("ShowInput: read() = " + rc);
            return rc;
        }
    }


}

        
