/*
 * Enhydra Java Application Server
 * The Initial Developer of the Original Code is Lutris Technologies Inc.
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc.
 * All Rights Reserved.
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License.
 *
 * $Id: EnhydraServletConfig.java,v 1.4.2.1 2000/03/10 23:57:57 peterj Exp $
 */

package org.enhydra.servlet.servletManager;

import java.util.Enumeration;
import java.util.Properties;
import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;


class EnhydraServletConfig implements ServletConfig {

    private ServletContext context;
    private Properties config;
    private String servletName;

    protected EnhydraServletConfig(Properties config,
                                        ServletContext context) {
        if (config == null)
            this.config = new Properties();
        this.config = config;
        this.context = context;
        this.servletName = null;
    }

    public void setServletName(String servletName) {
        this.servletName = servletName;
    }

    public ServletContext getServletContext() {
        return context;
    }

    public String getInitParameter(String name) {
        String s = null;
        s = config.getProperty(name);
        return s;
    }

    public Enumeration getInitParameterNames() {
        return config.propertyNames();
    }


    public String getServletName() {
	return servletName;
    }

}

