/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: ServletStatistics.java,v 1.4 2000/02/21 23:50:53 markd Exp $
 */

package org.enhydra.servlet.servletManager;

 
/**
 *  This class holds the historical request-per-minute data for an
 *  application.
 *
 *  @see org.enhydra.servlet.servletManager.ServletManager
 *  @author Andy John
 */
public class ServletStatistics {

    /**
     *  Protected contructor. Only a ServletManager should create 
     *  instances of this class.
     *
     *  @see org.enhydra.servlet.servletManager.ServletManager
     */
    protected ServletStatistics() {
    }

    /**
     *  The array of values. Each value is the number of requests per
     *  minute that the servet recieved. 
     */
    public double[] RPMValues;

    /**
     *  An array of times. Each element records the time when
     *  the corresponding element of <CODE>RPMValues</CODE> was measured.
     *  The values are milliseconds, as returned by
     *  <CODE>system.currentTimeMillis()</CODE>.
     */
    public long[] RPMTimes;

}
 
