/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is David Li. 
 * Portions created by David Li are Copyright (C) 1999-2000 Topware Technology
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 */

/**
 * The interface is modeled after DOM1 Spec for HTML from W3C.
 * The DTD used in this DOM model is from 
 * http://www.wapforum.org/DTD/wml_1.1.xml
 */

/**
 * The access element specifics the access control for the entire deck
 * (Section 11.3.1, WAP WML Version 16-Jun-1999)
 */
package org.enhydra.wireless.wml.dom;

public interface WMLAccessElement extends WMLElement {

    /**
     * A deck's domain and path attributes specify which deck may
     * access it.  
     *
     * domain attribute is suffix-matched against the domain name
     * portion of the referring URI 
     */
    public void setDomain(String newValue);
    public String getDomain();

    /**
     * path attribute is prefix-matched against the path portion of
     * the referring URI 
     */
    public void setPath(String newValue);
    public String getPath();
}
