/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is David Li. 
 * Portions created by David Li are Copyright (C) 1999-2000 Topware Technology
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 */

/**
 * The interface is modeled after DOM1 Spec for HTML from W3C.
 * The DTD used in this DOM model is from 
 * http://www.wapforum.org/DTD/wml_1.1.xml
 */

package org.enhydra.wireless.wml.dom;

/**
 * 'option' element specifies a choice in a 'select' element
 */
public interface WMLOptionElement extends WMLElement {

    /**
     * 'value' specifies the value to used to set the 'name' variable
     * (Section 11.6.2.2, WAP WML Version 16-Jun-1999)
     */
    public void setValue(String newValue);
    public String getValue();

    /**
     * 'title' specifies a title for this element.
     * (Section 11.6.2.2, WAP WML Version 16-Jun-1999)
     */
    public void setTitle(String newValue);
    public String getTitle();

    /**
     * 'onpick' specifies a event to occur when a user select and
     * disselect this choice.
     * (Section 11.6.2.2, WAP WML Version 16-Jun-1999) */
    public void setOnPick(String href);
    public String getOnPick();

    /**
     * 'xml:lang' specifics the natural or formal language in which
     * the document is written.  
     * (Section 8.8, WAP WML Version 16-Jun-1999) 
     */
    public void setXmlLang(String newValue);
    public String getXmlLang();
}
