/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is David Li. 
 * Portions created by David Li are Copyright (C) 1999-2000 Topware Technology
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 */

/**
 * The interface is modeled after DOM1 Spec for HTML from W3C.
 * The DTD used in this DOM model is from 
 * http://www.wapforum.org/DTD/wml_1.1.xml
 */

package org.enhydra.wireless.wml.dom;

/**
 * The 'template' element declares a template for the cards in the deck.
 */
public interface WMLTemplateElement extends WMLElement {

    /**
     * @see org.enhydra.wireless.wml.dom.WMLCardElement#setOnTimer(String newValue) 
     */
    public void setOnTimer(String newValue);
    public String getOnTimer();

    /**
     * @see org.enhydra.wireless.wml.dom.WMLCardElement#setOnEnterBackward(String newValue) 
     */
    public void setOnEnterBackward(String newValue);
    public String getOnEnterBackward();

    /**
     * @see org.enhydra.wireless.wml.dom.WMLCardElement#setOnEnterForward(String newValue) 
     */
    public void setOnEnterForward(String newValue);
    public String getOnEnterForward();

}
