/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is David Li. 
 * Portions created by David Li are Copyright (C) 1999-2000 Topware Technology
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 */
package org.enhydra.wireless.wml.dom.xerces;

import org.apache.xerces.dom.ElementImpl;

import org.enhydra.wireless.wml.dom.WMLElement;

public class WMLElementImpl extends ElementImpl implements WMLElement {

    public WMLElementImpl (WMLDocumentImpl owner, String tagName) {
	super(owner, tagName);
    }

    public void setClassName(String newValue) {
	setAttribute("class", newValue);
    }

    public String getClassName() {
	return getAttribute("class");
    }

    public void setXmlLang(String newValue) {
	setAttribute("xml:lang", newValue);
    }

    public String getXmlLang() {
	return getAttribute("xml:lang");
    }

    public void setId(String newValue) {
	setAttribute("id", newValue);
    }
    
    public String getId() {
	return getAttribute("id");
    }

    void setAttribute(String attr, boolean value) {
	setAttribute(attr, value ? "true" : "false");
    }

    boolean getAttribute(String attr, boolean defaultValue) {
	boolean ret = defaultValue;
	String value;
	if (((value = getAttribute("emptyok")) != null) 
	    && value.equals("true"))
	    ret = true;
	return ret;
    }

    void setAttribute(String attr, int value) {
	setAttribute(attr, value + "");
    }

    int getAttribute(String attr, int defaultValue) {
	int ret = defaultValue;
	String value;
	if ((value = getAttribute("emptyok")) != null)
	    ret = Integer.parseInt(value);
	return ret;
    }
}
