/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is David Li. 
 * Portions created by David Li are Copyright (C) 1999-2000 Topware Technology
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 */
package org.enhydra.wireless.wml.dom.xerces;

import org.enhydra.wireless.wml.dom.WMLSelectElement;

public class WMLSelectElementImpl extends WMLElementImpl implements WMLSelectElement {

    public WMLSelectElementImpl (WMLDocumentImpl owner, String tagName) {
	super( owner, tagName);
    }

    public void setMultiple(boolean newValue) {
	setAttribute("multiple", newValue);
    }

    public boolean getMultiple() {
	return getAttribute("multiple", false);
    }

    public void setValue(String newValue) {
	setAttribute("value", newValue);
    }

    public String getValue() {
	return getAttribute("value");
    }

    public void setTabIndex(int newValue) {
	setAttribute("tabindex", newValue);
    }

    public int getTabIndex() {
	return getAttribute("tabindex", 0);
    }

    public void setClassName(String newValue) {
	setAttribute("class", newValue);
    }

    public String getClassName() {
	return getAttribute("class");
    }

    public void setXmlLang(String newValue) {
	setAttribute("xml:lang", newValue);
    }

    public String getXmlLang() {
	return getAttribute("xml:lang");
    }

    public void setTitle(String newValue) {
	setAttribute("title", newValue);
    }

    public String getTitle() {
	return getAttribute("title");
    }

    public void setIValue(String newValue) {
	setAttribute("ivalue", newValue);
    }

    public String getIValue() {
	return getAttribute("ivalue");
    }

    public void setId(String newValue) {
	setAttribute("id", newValue);
    }

    public String getId() {
	return getAttribute("id");
    }

    public void setIName(String newValue) {
	setAttribute("iname", newValue);
    }

    public String getIName() {
	return getAttribute("iname");
    }

    public void setName(String newValue) {
	setAttribute("name", newValue);
    }

    public String getName() {
	return getAttribute("name");
    }
}
