/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is David Li. 
 * Portions created by David Li are Copyright (C) 1997-2000 Topware Technology
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 */

package org.enhydra.wireless.wml.tests;

import org.enhydra.xml.io.*;

/**
 * Very simple test of WML and XMLC functionality.
 */
public class Test {
    public static void main(String args[]) {
	try {
	    indexWML index = new indexWML();
	    index.getElementImg().setSrc("/foo/bar/test.wbmp");
	    indexBig5WML indexbig5 = new indexBig5WML();
	    
	    OutputOptions oos = new OutputOptions();
	    oos.setOmitEncoding(true);
	    oos.setJavaEncoding("ASCII");
	    DOMFormatter domf = new DOMFormatter(oos);
	    
	    System.out.println ("----- index.wml -----");
	    domf.write(index, System.out);
	    System.out.println ("----- index.big5.wml -----");
	    domf.write(indexbig5, System.out);
	} catch (Exception e) {
	    e.printStackTrace();
            System.exit(1);
	}
    }
}
