#
# Enhydra Java Application Server 
# The Initial Developer of the Original Code is Lutris Technologies Inc. 
# Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
# Inc. 
# All Rights Reserved. 
#
# The contents of this file are subject to the Enhydra Public License Version
# 1.0 (the "License"); you may not use this file except in compliance with the
# License. You may obtain a copy of the License at
# http://www.enhydra.org/software/license/epl.html 
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
# License for the specific language governing rights and limitations under the
# License. 
#
# $Id: config.mk,v 1.24.2.1 2000/03/28 06:14:01 markd Exp $
#

#
# Module-level make configuration file.
#

# XMLC Version number
XMLC_VERSION=1.2

ROOT = ${MODROOT}/../..

include $(ROOT)/config.mk

#
# If set to YES, a standalone distribution is build along with the Enhydra one.
#
BUILD_STANDALONE_XMLC = YES

#
# Directories and classes required for standalone xmlc jar file.
#
STANDALONE_JAR_FILES = \
	org/enhydra/swing \
	org/w3c \
	org/xml \
	org/apache/xerces \
	org/apache/html \
	org/apache/xml \
	gnu/regexp \
	org/enhydra/xml \
	com/lutris/util/ChainedError.class \
	com/lutris/util/ChainedException.class \
	com/lutris/util/ChainedRuntimeException.class \
	com/lutris/util/ChainedThrowable.class \
	com/lutris/util/ChainedThrowableUtil.class \
	com/lutris/util/FatalExceptionError.class \
	com/lutris/classloader

XMLC_DIST_NAME = xmlc${XMLC_VERSION}
XMLC_OUTPUT = $(ABS_ROOT)/output/${XMLC_DIST_NAME}
XMLC_BIN = $(XMLC_OUTPUT)/bin
XMLC_DIST_BIN = $(XMLC_OUTPUT)/dist/bin
XMLC_LIB = $(XMLC_OUTPUT)/lib
XMLC_DOC = $(XMLC_OUTPUT)/doc
XMLC_JAR = ${XMLC_LIB}/xmlc.jar

XMLC_ZIP_DIST = ${ROOT}/output/xmlc${XMLC_VERSION}.zip
XMLC_TAR_DIST = ${ROOT}/output/xmlc${XMLC_VERSION}.tar.gz

ENHYDRA_XMLC_DOC = ${OUTPUT}/doc/xmlc

