/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: HTMLDocumentFactory.java,v 1.12 2000/02/03 10:04:24 markd Exp $
 */

package com.lutris.xml.xmlc.html;

import org.w3c.dom.*;
import org.w3c.dom.html.*;

/**
 * Factory class for constructing new HTMLDocument objects without
 * needing to know the implementing class.
 *
 * @deprecated use org.enhydra.xml.xmlc.html.HTMLDocumentFactory
 * @see org.enhydra.xml.xmlc.html.HTMLDocumentFactory
 */
public class HTMLDocumentFactory {
    /**
     * Constructor that prevents instantiation.
     */
    private HTMLDocumentFactory() {
    }

    /**
     * Create a new HTMLDocument object.
     */
    static public HTMLDocument createDocument() {
        return org.enhydra.xml.xmlc.html.HTMLDocumentFactory.createDocument();
    }

    /**
     * Create a new HTMLDocument object, initialized with
     * empty HTML, HEAD, TITLE and BODY elements.
     */
    static public HTMLDocument createBasicDocument() {
        return org.enhydra.xml.xmlc.html.HTMLDocumentFactory.createBasicDocument();
    }

}
