/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: HTMLFormatter.java,v 1.11 2000/02/21 23:09:26 markd Exp $
 */

package com.lutris.xml.xmlc.html;

import org.w3c.dom.*;
import org.w3c.dom.html.*;
import org.enhydra.xml.io.DOMFormatter;
import org.enhydra.xml.io.OutputOptions;

/**
 * Class for formatting an HTML DOM into an HTML page.
 *
 * @deprecated use org.enhydra.xml.io.DOMFormatter
 * @see  org.enhydra.xml.io.DOMFormatter
 */
public class HTMLFormatter {
    /**
     * Default HTML formatting object for use by toDocument().  Initialized
     * on first use and shared
     */
    private static DOMFormatter formatter = null;

    /**
     * Convert an object reprsentation of document to a string reprsentation.
     */
    public static String toDocument(HTMLDocument doc) {
        // Create formatter if needed (no synchronization necessary)
        if (formatter == null) {
            OutputOptions options = new OutputOptions();
            options.setDropHtmlSpanIds(true);
            formatter = new DOMFormatter(options);
        }
        return formatter.toString(doc);
    }
}
