/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: Formatter.java,v 1.3.2.1 2000/04/04 05:29:48 markd Exp $
 */

package org.enhydra.xml.io;

import java.io.Writer;
import java.io.IOException;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

/**
 * Interface for document-type specific formatters.
 */
interface Formatter {
    /**
     * Get the default java encoding for this format.
     */
    public String getDefaultJavaEncoding();

    /**
     * Format any Node to the specified writer.
     */
    public void write(OutputOptions outputOptions,
                      Node node,
                      Writer writer) throws IOException;
}
