/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: HTMLFormatter2.java,v 1.5 2000/03/07 19:36:14 markd Exp $
 */

package org.enhydra.xml.io;

import org.apache.xml.serialize.HTMLSerializer;
import org.apache.xml.serialize.OutputFormat;
import java.io.Writer;
import java.io.IOException;
import java.io.OutputStream;
import org.w3c.dom.Node;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Document;
import org.w3c.dom.Node;

/**
 * Class for formatting an HTML DOM into an HTML page.
 * FIXME: This is experimental, using the Xerces formatter and 
 * not currently used.
 */
class HTMLFormatter2 extends HTMLSerializer implements Formatter {
    /**
     * The output options.
     */
    private OutputOptions options;
    
    /**
     * Constructor.
     */
    public HTMLFormatter2() {
        setOutputFormat(new OutputFormat());
    }

    /**
     * Get the default Java encoding.
     * @see Formatter#getDefaultEncoding
     */
    public String getDefaultJavaEncoding() {
        return "ISO8859_1";
    }

    /**
     * Format the document to the specified writer.
     * @see Formatter#write
     */
    public void write(OutputOptions outputOptions,
                      Document document,
                      Writer writer) throws IOException {
        options = outputOptions;
        setOutputFormat(XercesUtil.makeFormat(options, document));
        _format.setIndenting(true);  //FIXME: debug hack
        setOutputCharStream(writer);

        serialize(document);
    }

    /**
     * Format any Node to the specified writer.
     * @see Formatter#write
     */
    public void write(OutputOptions outputOptions,
                      Node node,
                      Writer writer) throws IOException {
        options = outputOptions;
        setOutputFormat(XercesUtil.makeFormat(options, node.getOwnerDocument()));
        _format.setIndenting(true);  //FIXME: debug hack
        setOutputCharStream(writer);

        serializeNode(node);
    }

}
