/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: XMLIOError.java,v 1.1 2000/02/21 08:51:02 markd Exp $
 */

package org.enhydra.xml.io;

/**
 * Error for XML I/O.
 */
public class XMLIOError extends com.lutris.util.ChainedError {
    /**
     * Construct an error without a specified cause.
     *
     * @param msg The message associated with the error.
     */
    public XMLIOError(String msg) {
        super(msg);
    }

    /**
     * Construct an error with an associated causing error.
     *
     * @param msg The message associated with the error.
     * @param cause The error or error that cause this
     *  error.
     */
    public XMLIOError(String msg,
                      Throwable cause) {
        super(msg, cause);
    }

    /**
     * Construct an error from a causing error.
     *
     * @param cause The error or error that cause this
     *  error. The message will be take be this object's
     *  messasge.
     */
    public XMLIOError(Throwable cause) {
        super(cause);
    }
}
