/*
 * Enhydra XMLC
 * Copyright (C) 1999, Lutris Technologies, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * For more information:
 * http://www.enhydra.org
 * http://www.lutris.com
 * mailto:info@lutris.com
 *
 * $Id: WMLTests.java,v 1.2 2000/03/02 22:48:12 markd Exp $
 */

package org.enhydra.xml.io.tests;

import org.enhydra.xml.io.*;
import org.apache.xerces.parsers.DOMParser;
import org.w3c.dom.Document;
import java.io.*;

/**
 * Test class for WML special hacks:
 *   WMLTests xmlfile output
 */
public class WMLTests {
    /**
     * Parse the specified file.
     */
    private Document parse(String xmlFile) throws Exception {
        DOMParser parser = new DOMParser();
        parser.parse(xmlFile);
        return parser.getDocument();
    }

    /**
     * Parse and output.
     */
    private void test(String xmlFile,
                      String outFile) throws Exception {
        Document doc = parse(xmlFile);
        String encoding = "ASCII";
        OutputOptions oos = new OutputOptions();
        oos.setOmitEncoding(true);
        oos.setJavaEncoding(encoding);
        DOMFormatter domf = new DOMFormatter(oos);
        Writer out = new OutputStreamWriter(new FileOutputStream(outFile),
                                            encoding);
        domf.write(doc, out);
        out.close();
    }

    /**
     * Entry
     */
    public static void main(String args[]) {
        if (args.length != 2) {
            System.err.println("Error: wrong # args: WMLTests xmlfile output");
            System.exit(1);
        }
        try {
            WMLTests tester = new WMLTests();
            tester.test(args[0], args[1]);
        } catch (Exception except) {
            System.err.println("Error: " + except.getMessage());
            except.printStackTrace();
        }
    }
}
