/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: XMLCRuntimeException.java,v 1.1 2000/01/24 01:59:42 markd Exp $
 */

package org.enhydra.xml.xmlc;

/**
 * Runtime exception for XMLC.
 */
public class XMLCRuntimeException extends com.lutris.util.ChainedRuntimeException {
    /**
     * Construct an exception without a specified cause.
     *
     * @param msg The message associated with the exception.
     */
    public XMLCRuntimeException(String msg) {
        super(msg);
    }

    /**
     * Construct an exception with an associated causing exception.
     *
     * @param msg The message associated with the exception.
     * @param cause The exception or exception that cause this
     *  exception.
     */
    public XMLCRuntimeException(String msg,
                     Throwable cause) {
        super(msg, cause);
    }

    /**
     * Construct an exception from a causing exception.
     *
     * @param cause The exception or exception that cause this
     *  exception. The message will be take be this object's
     *  messasge.
     */
    public XMLCRuntimeException(Throwable cause) {
        super(cause);
    }
}
