#!/bin/sh
#
# Enhydra XML Compiler (xmlc).
#
#  All arguments are passed to the XMLC compiler.
#  Environment variables:
#     o XMLC_MAX_HEAP - Contains the maximum heap size, in megabytes
#       for the XMLC JVM.
#

DEFAULT_JAVA="@JAVA@"
DEFAULT_JAVAC="@JAVAC@"
JAVA="${JAVA:=$DEFAULT_JAVA}"
JAVAC="${JAVAC:=$DEFAULT_JAVAC}"
XMLC_CLASSES="@XMLC_CLASSES@"
SWING_CLASSES="@SWING_CLASSES@"

# Get path separator. If on windows, need to change JAVAC drive specification
# syntax from cygwin (//C/usr/...) to native (C:/usr/...), as it will be
# run from the JVM, not cygwin.
if [ "X$OSTYPE" = "Xcygwin32" ] ; then
    PS=\;
    JAVAC="`echo "${JAVAC}"|sed -e 's|^//\(.\)/|\1:/|'`"
else
    PS=:
fi


if [ "X${CLASSPATH}" = "X" ] ; then
    CLASSPATH="${XMLC_CLASSES}"
else
    CLASSPATH="${XMLC_CLASSES}${PS}${CLASSPATH}"
fi
if [ "X${SWING_CLASSES}" != "X" ] ; then
    CLASSPATH="${SWING_CLASSES}${PS}${CLASSPATH}"
fi

export CLASSPATH

# Default javac to use.
JAVAC_ARG="-Dorg.enhydra.xml.xmlc.javac=${JAVAC}"

MX_ARG=""
if [ "${XMLC_MAX_HEAP}X" != "X" ] ; then
    MX_ARG="-mx${XMLC_MAX_HEAP}m"
fi

exec ${JAVA} ${JAVAC_ARG} ${MX_ARG} org.enhydra.xml.xmlc.commands.xmlc.XMLC "$@"
