/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: DefaultXMLDomFactory.java,v 1.4 2000/03/07 19:36:17 markd Exp $
 */

package org.enhydra.xml.xmlc.dom;

import org.w3c.dom.Element;

/**
 * Default DOM factory class for XML documents.  Custom DOM factories for
 * special DTDs can extend this class to get the default DOM
 * implementation, only needing to override a few methods.
 */
public class DefaultXMLDomFactory
    extends org.enhydra.xml.xmlc.dom.xerces.XercesDomFactory
    implements XMLCDomFactory {

    /**
     * @see XMLCDomFactory#getBaseClassName
     */
    public String getBaseClassName() {
        return "org.enhydra.xml.xmlc.XMLObjectImpl";
    }

    /**
     * @see XMLCDomFactory#getBaseInterfaceName
     */
    public String getBaseInterfaceName() {
        return "org.enhydra.xml.xmlc.XMLObject";
    }

    /**
     * @see XMLCDomFactory#getElementClassNames
     */
    public String[] getElementClassNames(Element element) {
        return null; // Not specified in XML.
    }

    /**
     * @see XMLCDomFactory#getElementURLAttrs
     */
    public String[] getElementURLAttrs(Element element) {
        return null; // FIXME: Hook up to XPointer
    }

    /**
     * @see XMLCDomFactory#needsCreateTextSetMethod
     */
    public boolean needsCreateTextSetMethod(Element element) {
        return false;
    }
}
