/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: HTMLObject.java,v 1.2 2000/01/22 07:11:37 markd Exp $
 */


package org.enhydra.xml.xmlc.html;

import org.enhydra.xml.xmlc.*;
import org.w3c.dom.*;
import org.w3c.dom.html.*;

/**
 * Interface implemented by all compiled HTML Objects.
 */
public interface HTMLObject extends XMLObject, HTMLDocument {
    /**
     * Convert the document to a string representation of the document, that
     * is a string containing HTML.  The results are parsable into the same
     * DOM hierarchy
     *
     * @return A string containing the full HTML.
     */
    public String toDocument();
}
