/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: XMLCDocumentLocator.java,v 1.2 2000/01/22 07:11:40 markd Exp $
 */

package org.enhydra.xml.xmlc.parsers;

import org.xml.sax.*;

/**
 * Class to contain a document locator object.  This container is use so
 * that the locator can be shared amount multiple classes and be settable
 * during parsing.
 */
public class XMLCDocumentLocator {
    /**
     * SAX doucment locator.
     */
    private Locator docLocator = null;

    /**
     * Set the document locator.
     */
    public void setLocator(Locator locator) {
        docLocator = locator;
    }

    /**
     * Get the documen locator.
     */
    public Locator getLocator() {
        return docLocator;
    }
}
