/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: XercesUtil.java,v 1.2 2000/01/22 07:11:41 markd Exp $
 */

package org.enhydra.xml.xmlc.parsers.xerces;

import org.enhydra.xml.xmlc.XMLCError;
import org.apache.xerces.readers.XMLEntityHandler;

/**
 * Various static utility methods.
 */
class XercesUtil {
    /**
     * Convert XMLEntityHandler.ENTITYTYPE_* to a string
     */
    static public String getEntityTypeString(int entityType) {
        switch (entityType) {
        case XMLEntityHandler.ENTITYTYPE_INTERNAL_PE:
            return "INTERNAL_PE";
        case XMLEntityHandler.ENTITYTYPE_EXTERNAL_PE:
            return "EXTERNAL_PE";
        case XMLEntityHandler.ENTITYTYPE_INTERNAL:
            return "INTERNAL";
        case XMLEntityHandler.ENTITYTYPE_EXTERNAL:
            return "EXTERNAL";
        case XMLEntityHandler.ENTITYTYPE_UNPARSED:
            return "UNPARSED";
        case XMLEntityHandler.ENTITYTYPE_DOCUMENT:
            return "DOCUMENT";
        case XMLEntityHandler.ENTITYTYPE_EXTERNAL_SUBSET:
            return "EXTERNAL_SUBSET";
        default:
            throw new XMLCError("Xerces parser bug: request for entity type");
        }
    }

    /**
     * Convert XMLEntityHandler.CONTEXT_* to a string
     */
    static public String getEntityContextString(int entityContent) {
        switch (entityContent) {
        case XMLEntityHandler.CONTEXT_IN_ATTVALUE:
            return "IN_ATTVALUE";
        case XMLEntityHandler.CONTEXT_IN_DEFAULTATTVALUE:
            return "IN_DEFAULTATTVALUE";
        case XMLEntityHandler.CONTEXT_IN_CONTENT:
            return "IN_CONTENT";
        case XMLEntityHandler.CONTEXT_IN_DTD_AS_MARKUP:
            return "IN_DTD_AS_MARKUP";
        case XMLEntityHandler.CONTEXT_IN_ENTITYVALUE:
            return "IN_ENTITYVALUE";
        case XMLEntityHandler.CONTEXT_IN_DTD_WITHIN_MARKUP:
            return "IN_DTD_WITHIN_MARKUP";
        case XMLEntityHandler.CONTEXT_DOCUMENT:
            return "DOCUMENT";
        case XMLEntityHandler.CONTEXT_EXTERNAL_SUBSET:
            return "EXTERNAL_SUBSET";
        default:
            throw new XMLCError("Xerces parser bug: request for unknown entity context");
        }
    }
}
