/*
 * Enhydra Java Application Server 
 * The Initial Developer of the Original Code is Lutris Technologies Inc. 
 * Portions created by Lutris are Copyright (C) 1997-2000 Lutris Technologies
 * Inc. 
 * All Rights Reserved. 
 *
 * The contents of this file are subject to the Enhydra Public License Version
 * 1.0 (the "License"); you may not use this file except in compliance with the
 * License. You may obtain a copy of the License at
 * http://www.enhydra.org/software/license/epl.html 
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations under the
 * License. 
 *
 * $Id: TestDomFactory.java,v 1.5 2000/02/21 08:51:03 markd Exp $
 */

package org.enhydra.xml.xmlc.tests.xml;

import org.enhydra.xml.xmlc.dom.DefaultXMLDomFactory;
import org.w3c.dom.DocumentType;
import org.w3c.dom.Document;

/**
 * Class for testing -domfactory functionality.
 */
public class TestDomFactory extends DefaultXMLDomFactory {
    /**
     * Create a test XML document.
     */
    public Document createDocument(String qualifiedName,
                                   DocumentType docType) {
        TestDocument doc = new TestDocument(docType);
        doc.appendChild(doc.createElement(qualifiedName));
        return doc;
    }
}

/*
 * Local Variables:
 * mode: java
 * End:
 */

